package com.singularity.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("bushing_chart_data")
@ApiModel(value="BushingChartData对象", description="衬套数据表")
public class BushingChartData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "附件id")
    @TableField("attach_id")
    private Integer attachId;

    @ApiModelProperty(value = "图像数据")
    @TableField("chart_data")
    private byte[] chartData;

    @ApiModelProperty(value = "图像类型0:下摆臂后衬套,1:下摆臂前衬套2:上摆臂衬套")
    @TableField("chart_type")
    private Integer chartType;

    @ApiModelProperty(value = "图像名称")
    @TableField("chart_name")
    private String chartName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
