package com.singularity.common.vo.nvh;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(value = "ReadNVHFileVO",description = "读取NVH数据文件返回参数")
public class ReadNVHFileVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "绘图数据-键值对")
    private double[][] data;

    @ApiModelProperty(value = "x轴标签",dataType = "String")
    private String labelX;

    @ApiModelProperty(value = "y轴标签",dataType = "String")
    private String labelY;

    @ApiModelProperty(value = "z轴标签",dataType = "String")
    private String labelZ;

    @ApiModelProperty(value = "y轴单位",dataType = "String")
    private String unitX;

    @ApiModelProperty(value = "z轴单位",dataType = "String")
    private String unitY;

    @ApiModelProperty(value = "z轴单位",dataType = "String")
    private String unitZ;

    @ApiModelProperty(value = "标签",dataType = "String")
    private String legend;

    @ApiModelProperty(value = "z轴最小值",dataType = "Double")
    private double minZ;

    @ApiModelProperty(value = "z轴最大值",dataType = "Double")
    private double maxZ;

    @ApiModelProperty(value = "绘图类型",dataType = "String")
    private String chartType;


}
