package com.singularity.config;

import io.minio.MinioClient;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

@Data
@Component
public class MinioConfig {

    @Value("${detection.minio.endpoint}")
    private String endpoint;

    @Value("${detection.minio.accessKey}")
    private String accessKey;

    @Value("${detection.minio.secretKey}")
    private String secretKey;


    /**
     * 注入minio 客户端
     */
    @Bean
    public MinioClient minioClient() {
        return MinioClient.builder()
                .endpoint(endpoint)
                .credentials(accessKey, secretKey)
                .build();
    }
}
