package com.singularity.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler;

@Configuration
public class SchedulerThreadPoolConfig {

    private static final int CPU = Runtime.getRuntime().availableProcessors();

    @Bean("SchedulerThreadPool")
    public ThreadPoolTaskScheduler threadPoolTaskScheduler() {

        ThreadPoolTaskScheduler threadPoolTaskScheduler = new ThreadPoolTaskScheduler();
        threadPoolTaskScheduler.setPoolSize(2*CPU); // 线程池大小
        threadPoolTaskScheduler.setThreadNamePrefix("notify-pool-");// 线程名称
        threadPoolTaskScheduler.setWaitForTasksToCompleteOnShutdown(true); // 调度器shutdown被调用时等待当前被调度的任务完成
        threadPoolTaskScheduler.setAwaitTerminationSeconds(60);// 等待时长
        return threadPoolTaskScheduler;

    }

}
