package com.singularity.controller;

import com.singularity.service.MinioService;
import com.singularity.pojo.dto.attachment.DownloadZipFileDTO;
import com.singularity.pojo.dto.attachment.QueryAttachmentListDTO;
import com.singularity.pojo.dto.attachment.DeleteAttachmentListDTO;
import com.singularity.pojo.entity.Attachment;
import com.singularity.service.AttachmentService;
import com.singularity.pojo.vo.template.QueryAttachmentListVO;
import com.singularity.util.FileUtil;
import com.singularity.util.result.CodeMessage;
import com.singularity.util.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.util.List;

@RestController
@RequestMapping("/api/attachment")
@Api(tags = "文件管理相关接口")
public class AttachmentController {

    @Resource
    private AttachmentService attachmentService;

    @Resource
    private MinioService minioService;


    @Value("${file.path}")
    private String filePath;

    @ApiOperation("文件列表主查询")
    @PostMapping(value = "/queryAttachmentList")
    public Result<List<QueryAttachmentListVO>> queryAttachmentList(@Validated @RequestBody QueryAttachmentListDTO dto) {
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS, attachmentService.queryAttachmentList(dto));
    }

    @ApiOperation("批量删除文件")
    @PostMapping(value = "/deleteAttachmentList")
    public Result<?> deleteTemplate(@Validated @RequestBody DeleteAttachmentListDTO dto) {
        attachmentService.removeAttachmentById(dto.getAttachIdList());
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS);
    }

    @ApiOperation("批量下载文件")
    @PostMapping(value = "/downloadZipFile")
    public void downloadZipFile(@Validated @RequestBody DownloadZipFileDTO dto, HttpServletResponse response) {
        // 查询所有目标文件objname
        List<Attachment> queryAttachmentObjNameList = attachmentService.queryAttachmentObjNameList(dto);
        String[] fileNames = new String[queryAttachmentObjNameList.size()];
        InputStream[] ins = new InputStream[queryAttachmentObjNameList.size()];
        for (int i = 0; i < queryAttachmentObjNameList.size(); i++) {

        }
        for (int i = 0; i < queryAttachmentObjNameList.size(); i++) {
            Attachment attachment = queryAttachmentObjNameList.get(i);
            InputStream in = minioService.getFile(attachment.getObjName());
            ins[i] = in;
            fileNames[i] = attachment.getName();
        }
        FileUtil.packageMinioFileList(response,fileNames,ins);
    }
}
