package com.singularity.controller;

import com.singularity.aop.LogOperation;
import com.singularity.pojo.dto.car.UpdateExperimentStatDTO;
import com.singularity.service.CarBasicParamService;
import com.singularity.util.result.CodeMessage;
import com.singularity.util.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Slf4j
@Api(tags = "车辆信息相关接口")
@RestController
@RequestMapping("api/car")
public class CarInfoController {

    @Resource
    private CarBasicParamService carBasicParamService;

    @ApiOperation("修改试验文件上传状态")
    @LogOperation(message = "修改试验文件上传状态")
    @PostMapping(value = "/updateExperimentStat")
    public Result<?> updateExperimentStat(@RequestBody @Validated UpdateExperimentStatDTO updateExperimentStatDTO) {
        carBasicParamService.updateExperimentStat(updateExperimentStatDTO);
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS);
    }

}
