package com.singularity.controller;

import cn.dev33.satoken.util.SaResult;
import com.singularity.pojo.param.drawingType.DrawingTypeAddParam;
import com.singularity.pojo.param.drawingType.DrawingTypeSelectParam;
import com.singularity.service.DrawingTypeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author 平
 * @description 画图参数相关接口
 */
@Slf4j
@Api(tags = "画图参数相关接口")
@RestController
@RequestMapping("api/drawingType")
public class DrawingTypeController {

    @Resource
    private DrawingTypeService drawingTypeService;


    @ApiOperation("画图参数列表")
    @PostMapping("/getDrawingTypeList")
    public SaResult getDrawingTypeList(@Validated @RequestBody DrawingTypeSelectParam selectParam) {
        return new SaResult(SaResult.CODE_SUCCESS, "获取成功", drawingTypeService.getDrawingTypeList(selectParam));
    }


    @ApiOperation("添加画图参数模板")
    @PostMapping("/addDrawingType")
    public SaResult addDrawingTypeList(@Validated @RequestBody DrawingTypeAddParam addParam) {
        return drawingTypeService.addDrawingType(addParam) > 0 ? SaResult.ok("接收成功") : SaResult.error("接收失败");
    }






}
