package com.singularity.controller;

import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.singularity.pojo.dto.experiment.ExperimentFileDTO;
import com.singularity.pojo.dto.experiment.PreprocessingDTO;
import com.singularity.pojo.dto.experiment.SelectPreprocessingDTO;
import com.singularity.service.ExperimentService;
import com.singularity.pojo.vo.experiment.PreprocessingVO;
import com.singularity.util.result.CodeMessage;
import com.singularity.util.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Slf4j
@RestController
@Api(tags = "试验场景相关接口")
@RequestMapping(value = "/api/experiment")
public class ExperimentController {
    @Resource
    private ExperimentService experimentService;
    @ApiOperationSupport(author = "windsky")
    @ApiOperation("预处理数据增加")
    @PostMapping("/updatePreprocessing")
    public Result<?> updatePreprocessing(@RequestBody @Validated PreprocessingDTO preprocessingDTO) {
        experimentService.updatepreprocessing(preprocessingDTO);
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS);
    }

    @ApiOperationSupport(author = "windsky")
    @ApiOperation("预处理平顺性接口查询")
    @PostMapping("/selectRide")
    public Result<PreprocessingVO> selectRide(@RequestBody @Validated SelectPreprocessingDTO selectPreprocessingDTO) {
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS,
                experimentService.selectPreprocessing(selectPreprocessingDTO)
        );
    }
    @ApiOperationSupport(author = "windsky")
    @ApiOperation("平顺性通过文件名上传试验条件")
    @PostMapping("/uploadTestConditions")
    public Result<?> uploadTestConditions(@Validated ExperimentFileDTO experimentFileDTO) {
        experimentService.uploadTestConditions(experimentFileDTO);
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS);
    }
}
