package com.singularity.controller;


import cn.dev33.satoken.util.SaResult;
import com.singularity.pojo.dto.homePage.GetTrendsDTO;
import com.singularity.pojo.vo.homePage.DataConsultingVO;
import com.singularity.service.CarBasicParamService;
import com.singularity.service.HomePageService;
import com.singularity.util.result.CodeMessage;
import com.singularity.util.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;


@Slf4j
@RestController
@Api(tags = "首页相关接口")
@RequestMapping(value = "/api/homepage")
public class HomePageController {


    @Resource
    private HomePageService homePageService;

    @Resource
    private CarBasicParamService carBasicParamService;
    @ApiOperation("获取试验总数量")
    @PostMapping(value = "/getTestsNumber")
    public SaResult getTestsNumber()  {
        return new SaResult(SaResult.CODE_SUCCESS, "操作成功", homePageService.getTestsNumber());
    }


    @ApiOperation("获取整体数量趋势")
    @PostMapping(value = "/getTrends")
    public SaResult getTrends(@RequestBody GetTrendsDTO dto)  {
        return new SaResult(SaResult.CODE_SUCCESS, "操作成功", homePageService.getTrends(dto));
    }


    @ApiOperation("数据咨询")
    @PostMapping(value = "/getNearDataConsulting")
    public Result<List<DataConsultingVO>> getNearDataConsulting(){
//        LambdaQueryWrapper<CarBasicParam> qw = new LambdaQueryWrapper<>();
//        qw.orderByDesc(CarBasicParam::getCreatedAt);
//        qw.last("limit 0,10");
//        List<DataConsultingVO> dataConsultingVOList = new ArrayList<>();
//        List<CarBasicParam> carBasicParamList = carBasicParamService.list(qw);
//        for (CarBasicParam carBasicParam : carBasicParamList) {
//            DataConsultingVO dataConsultingVO = new DataConsultingVO();
//            BeanUtil.copyProperties(carBasicParam,dataConsultingVO);
//            dataConsultingVO.setVIN(carBasicParam.getVin());
//            dataConsultingVOList.add(dataConsultingVO);
//        }
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS,new ArrayList<>());
    }




}
