package com.singularity.controller;

import com.singularity.pojo.dto.logs.LogsSearchDTO;
import com.singularity.pojo.vo.log.LogsVO;
import com.singularity.service.LogsService;
import com.singularity.util.result.CodeMessage;
import com.singularity.util.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@Slf4j
@Api(tags = "Logs日志相关接口")
@RestController
@RequestMapping("/api/logs")
public class LogsController {
    @Resource
    private LogsService logsService;

    @ApiOperation("读取日志")
    @PostMapping("/selectAccessLogs")
    public Result<List<LogsVO>> selectAccessLogs(@RequestBody @Validated LogsSearchDTO logDTO){
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS,
                logsService.selectLogs(logDTO));
    }
}
