package com.singularity.controller;


import com.singularity.pojo.dto.car.SineFitCharacteristcDTO;
import com.singularity.pojo.entity.SineFitCharacteristic;
import com.singularity.service.SineFitCharacteristicService;
import com.singularity.util.result.CodeMessage;
import com.singularity.util.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 正弦拟合特性 前端控制器
 * </p>
 *
 * @author windsky
 * @since 2024-03-29
 */
@RestController
@Slf4j
@Api(tags = "正弦拟合特性")
@RequestMapping("/api/sineFitCharacteristic")
public class SineFitCharacteristicController {
    @Resource
    private SineFitCharacteristicService sineFitCharacteristicService;

    @ApiOperation("获取正弦拟合特性")
    @PostMapping(value = "getAllData")
    public Result<List<SineFitCharacteristic>> getAllData(@Validated @RequestBody SineFitCharacteristcDTO sineFitCharacteristcDTO){
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS,sineFitCharacteristicService.getAllData(sineFitCharacteristcDTO));
    }

    @ApiOperation("修改正弦拟合特性")
    @PostMapping(value = "sineFitCharacteristicData")
    public Result<?> sineFitCharacteristicData(@Validated @RequestBody SineFitCharacteristic sineFitCharacteristic){
        sineFitCharacteristicService.sineFitCharacteristicData(sineFitCharacteristic);
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS);
    }
}

