package com.singularity.controller;


import com.singularity.pojo.dto.TaskQueue.QueryTaskQueueDTO;
import com.singularity.service.TaskQueueService;
import com.singularity.pojo.vo.taskQueue.TaskQueueVO;
import com.singularity.util.result.CodeMessage;
import com.singularity.util.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@Slf4j
@Api(tags = "任务队列相关接口")
@RequestMapping("/task-queue")
public class TaskQueueController {
    @Resource
    private TaskQueueService taskQueueService;
    @ApiOperation("查询任务队列")
    @PostMapping(value = "/queryTaskQueue")
    public Result<List<TaskQueueVO>> queryTaskQueue(@Validated @RequestBody QueryTaskQueueDTO queryTaskQueueDTO) {
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS,taskQueueService.queryTaskQueue(queryTaskQueueDTO));
    }

//    @ApiOperation("定时删除任务队列")
//    @Scheduled(cron = "0 0 1 ? * MON")
//    public void deleteTaskQueueTiming() {
//        // 获取一周前的时间点
//        LocalDateTime oneWeekAgo = LocalDateTime.now().minusWeeks(1);
//        LambdaQueryWrapper<TaskQueue> qw = new LambdaQueryWrapper<>();
//        qw.le(TaskQueue::getCreateTime,oneWeekAgo);
//        taskQueueService.remove(qw);
//    }
}

