package com.singularity.controller;

import com.singularity.pojo.dto.car.CarTypeDTO;
import com.singularity.service.VehicleDataService;
import com.singularity.pojo.vo.car.CarMessageNumberVO;
import com.singularity.util.result.CodeMessage;
import com.singularity.util.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Slf4j
@RestController
@Api(tags = "车辆数据统计相关接口")
@RequestMapping(value = "/api/dataStatistics")
public class VehicleDataController {
    @Resource
    private VehicleDataService vehicleDataService;
    @ApiOperation("车辆数据统计")
    @PostMapping(value = "/selectNumberByType")
    public Result<CarMessageNumberVO> selectNumberByType(@RequestBody @Validated CarTypeDTO carTypeDTO) {
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS, vehicleDataService.selectNumberByType(carTypeDTO));
    }

}
