package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.bo.attachment.AttachmentBO;
import com.singularity.pojo.dto.attachment.DownloadZipFileDTO;
import com.singularity.pojo.dto.attachment.QueryAttachmentListDTO;
import com.singularity.pojo.dto.attachment.QueryResourceFileListDTO;
import com.singularity.pojo.dto.barking.QueryBarkingDataFileListDTO;
import com.singularity.pojo.dto.bushing.QueryBushingDataFileListDTO;
import com.singularity.pojo.dto.car.TyreFileQueryDTO;
import com.singularity.pojo.dto.damper.QueryDamperAttachmentDTO;
import com.singularity.pojo.dto.handing.QueryHandingFileListDTO;
import com.singularity.pojo.dto.kc.CarExperimentParamListQueryDTO;
import com.singularity.pojo.dto.kc.CarMessageIdDTO;
import com.singularity.pojo.dto.kc.KCFileSearch;
import com.singularity.pojo.dto.kc.QueryKCAttachmentListDTO;
import com.singularity.pojo.dto.nvh.QueryNVHDataFileListDTO;
import com.singularity.pojo.dto.ride.QueryRideFileListDTO;
import com.singularity.pojo.dto.steering.QuerySteeringDataFileListDTO;
import com.singularity.pojo.dto.template.QueryTempAttachmentListDTO;
import com.singularity.pojo.entity.Attachment;
import com.singularity.pojo.vo.attachment.GetAttachmentDataVO;
import com.singularity.pojo.vo.attachment.QueryResourceFileListVO;
import com.singularity.pojo.vo.attachment.SelectAttachmentByFileNameVO;
import com.singularity.pojo.vo.barking.QueryBarkingDataFileListVO;
import com.singularity.pojo.vo.bushing.QueryBushingDataFileListVO;
import com.singularity.pojo.vo.car.CarBasicParamVO;
import com.singularity.pojo.vo.car.CarBodyParamVO;
import com.singularity.pojo.vo.car.CarChassisStructureVO;
import com.singularity.pojo.vo.car.CarExperimentParamListQueryVO;
import com.singularity.pojo.vo.damper.QueryDamperDataFileListVO;
import com.singularity.pojo.vo.hading.QueryHandingFileListVO;
import com.singularity.pojo.vo.ride.QueryRideFileListVO;
import com.singularity.pojo.vo.steering.QuerySteeringDataFileListVO;
import com.singularity.pojo.vo.template.QueryAttachmentListVO;
import com.singularity.pojo.vo.template.QueryTempAttachmentListVO;
import com.singularity.pojo.vo.tire.QueryTireDataFileListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AttachmentMapper extends BaseMapper<Attachment> {

    int insertBatch(@Param("list") List<Attachment> attachments);

    List<SelectAttachmentByFileNameVO> selectByFileMessages(@Param("kcFileSearch") KCFileSearch kcFileSearch);

    List<CarBasicParamVO> selectCarBasicParam(@Param("carMessageIdDTO") CarMessageIdDTO carMessageIdDTO);

    List<CarBodyParamVO> selectCarBodyParam(@Param("carMessageIdDTO") CarMessageIdDTO carMessageIdDTO);

    List<CarChassisStructureVO> selectCarChassisStructure(@Param("carMessageIdDTO") CarMessageIdDTO carMessageIdDTO);

    List<CarExperimentParamListQueryVO> queryCarExperimentParamList(@Param("dto")CarExperimentParamListQueryDTO dto);

    List<GetAttachmentDataVO> getAttachmentData(String ownerType, List<Long> ownerIds);

    List<QueryHandingFileListVO> queryHandingFileList(@Param("dto") QueryHandingFileListDTO dto);

    List<QueryAttachmentListVO> queryAttachmentList(@Param("dto") QueryAttachmentListDTO dto);

    List<QueryTempAttachmentListVO> queryTempAttachmentList(QueryTempAttachmentListDTO dto);

    List<Integer> queryExperimentCount(@Param("data")String localDate);

    List<QueryBushingDataFileListVO> queryBushingDataFileList(@Param("dto") QueryBushingDataFileListDTO dto);

    List<QueryBarkingDataFileListVO> queryBarkingDataFileList(@Param("dto") QueryBarkingDataFileListDTO dto);

    List<QuerySteeringDataFileListVO> querySteeringDataFileList(@Param("dto") QuerySteeringDataFileListDTO dto);

    List<Attachment> queryKCDataFileList(@Param("dto") QueryKCAttachmentListDTO dto);

    List<AttachmentBO> queryNVHDataFileList(@Param("dto") QueryNVHDataFileListDTO dto);

    List<AttachmentBO> queryNVHDataFileList2(@Param("dto") QueryNVHDataFileListDTO dto);

    List<QueryAttachmentListVO> queryNVHSubjectiveAttachmentList(@Param("dto") QueryAttachmentListDTO dto);

    List<QueryTireDataFileListVO> queryTireDataFileList(@Param("dto") TyreFileQueryDTO dto);

    List<QueryDamperDataFileListVO> queryDamperDataFileList(@Param("dto") QueryDamperAttachmentDTO dto);

    List<QueryRideFileListVO> queryRideFileList(@Param("dto") QueryRideFileListDTO dto);

    List<QueryResourceFileListVO> queryResourceFileList(@Param("dto") QueryResourceFileListDTO dto);

    List<Attachment> queryAttachmentObjNameList(@Param("dto") DownloadZipFileDTO dto);
}
