package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.dto.role.RoleInfoDTO;
import com.singularity.pojo.dto.role.RoleListDTO;
import com.singularity.pojo.param.role.RoleListSearchParam;
import com.singularity.pojo.entity.Role;
import com.singularity.pojo.vo.role.RoleListVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author 天
* @description 针对表【role(角色表)】的数据库操作Mapper
* @createDate 2023-08-26 14:16:55
* @Entity com.singularity.mapper.Role
*/
@Mapper
public interface RoleMapper extends BaseMapper<Role> {

    /**
     * 根据用户id获取角色信息
     * @param userId
     * @return
     */
    List<RoleInfoDTO> selectByUserId(Integer userId);

    /**
     * 获取角色列表
     * @param
     * @return
     */
    List<RoleListDTO> getAllList();

    /**
     * 获取角色列表通用
     * @param roleListSearchDTO
     * @return
     */
    List<RoleListVO> selectRoleList(RoleListSearchParam roleListSearchDTO);
}




