package com.singularity.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.singularity.pojo.entity.NVHEvaluation;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Getter
@Slf4j
public class NVHSubjectiveFuelListener implements ReadListener<Map<Integer,String>> {

    private final List<NVHEvaluation> nvhEvaluationList = new ArrayList<>();

    // 上一次不为空评价类别
    private String lastType;

    // 上一次不为空第一级工况
    private String lastFirstCondition;

    // 上一次不为空二级工况
    private String lastSecondCondition;

    // 上一次评价描述
    private String lastRemark;

    private final List<String> xData = new ArrayList<>();

    private final List<Double> yData = new ArrayList<>();

    private final LocalDateTime localDateTime = LocalDateTime.now();

    private final Long attachId;

    public NVHSubjectiveFuelListener(Long attachId){
        this.attachId = attachId;
    }

    @Override
    //invoke方法的参数类型跟随实现的ReadListener的类型
    public void invoke(Map<Integer,String> map, AnalysisContext analysisContext) {

        int row = analysisContext.readRowHolder().getRowIndex() + 1;

        // 绘图数据
        if(row >= 33 && row <= 40){
            xData.add(map.get(6));
            yData.add(Double.parseDouble(map.get(7)));
        }

        // 对比数据
        if(row >= 42 && row <= 121){
            NVHEvaluation nvhEvaluation = new NVHEvaluation();
            if(map.get(0) != null)lastType = map.get(0);
            nvhEvaluation.setType(lastType);
            if(map.get(1) != null)lastFirstCondition = map.get(1);
            nvhEvaluation.setFirstCondition(lastFirstCondition);
            if(map.get(2) != null)lastSecondCondition = map.get(2);
            if(row >= 70 && row <= 85)lastSecondCondition = null;
            nvhEvaluation.setSecondCondition(lastSecondCondition);
            nvhEvaluation.setItem(map.get(3));
            nvhEvaluation.setScore(Double.parseDouble(map.get(4)));
            if(map.get(5) != null)lastRemark = map.get(5);
            nvhEvaluation.setRemark(lastRemark);
            nvhEvaluation.setCreateTime(localDateTime);
            nvhEvaluation.setUpdateTime(localDateTime);
            nvhEvaluation.setAttachId(attachId);
            nvhEvaluationList.add(nvhEvaluation);
        }
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }
}
