package com.singularity.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
@Slf4j
public class SpringReadChartDataListener implements ReadListener<Map<Integer,String>> {

    private List<String> legendList = new ArrayList<>();

    // 弹簧行程
    private Map<Integer,List<Double>> xData = new HashMap<>();

    // 刚度
    private Map<Integer,List<Double>> yData = new HashMap<>();

    // 弹簧力
    private Map<Integer,List<Double>> yData2 = new HashMap<>();

    @Override
    public void invoke(Map<Integer,String> map, AnalysisContext context) {
        int currentRow = context.readRowHolder().getRowIndex();
        // 读取载荷信息
        if(currentRow == 0){
            for(int i = 1; i < map.size(); i+=2){
                legendList.add(map.get(i));
            }
            return;
        }
        for(int i = 0; i < map.size(); i+=2){
            int index  = i / 2 + 1;
            if(currentRow == 1){
                List<Double> xList = new ArrayList<>();
                List<Double> yList = new ArrayList<>();
                List<Double> yList2 = new ArrayList<>();
                xList.add(Double.parseDouble(map.get(i)));
                yList.add(Double.parseDouble(map.get(i + 1)));
                double value = 0;
                if(Double.parseDouble(map.get(i)) != 0){
                    value = Double.parseDouble(map.get(i + 1))/Double.parseDouble(map.get(i));
                }
                yList2.add(value);
                xData.put(index,xList);
                yData.put(index,yList);
                yData2.put(index,yList2);
            }else{
                xData.get(index).add(Double.parseDouble(map.get(i)));
                yData.get(index).add(Double.parseDouble(map.get(i + 1)));
                double value = 0;
                if(Double.parseDouble(map.get(i)) != 0){
                    value = Double.parseDouble(map.get(i + 1))/Double.parseDouble(map.get(i));
                }
                yData2.get(index).add(value);
            }
        }
    }


    // 读取完成后执行
    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }
}
