package com.singularity.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.singularity.exception.ToolsBusinessWarn;
import com.singularity.pojo.entity.SubjectiveScene;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Slf4j
@Getter
public class SubjectiveSceneListener implements ReadListener<Map<Integer,String>> {

    private final List<SubjectiveScene> subjectiveSceneList = new ArrayList<>();

    private final Integer attachId;

    private final LocalDateTime localDateTime = LocalDateTime.now();

    public SubjectiveSceneListener(Integer attachId){
        this.attachId = attachId;
    }

    @Override
    public void invoke(Map<Integer,String> map, AnalysisContext analysisContext) {
        if(map.size() != 4)throw new ToolsBusinessWarn("主观评价试验场景数据错误");
        SubjectiveScene subjectiveScene = new SubjectiveScene();
        subjectiveScene.setAttachId(attachId);
        subjectiveScene.setEvaluationName(map.get(0));
        subjectiveScene.setEvaluationTime(map.get(1));
        subjectiveScene.setPlace(map.get(2));
        subjectiveScene.setCarName(map.get(3));
        subjectiveScene.setCreateTime(localDateTime);
        subjectiveScene.setUpdateTime(localDateTime);
        subjectiveSceneList.add(subjectiveScene);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }


}
