package com.singularity.pojo.dto.attachment;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@ApiModel(description = "文件主列表分页查询入参")
public class QueryAttachmentListDTO {

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(value = "车辆id",required = true)
    private Integer carId;

    @ApiModelProperty(value = "创建时间开始")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "创建时间结束")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "第几页(默认第一页)", example = "1")
    private int pageNum = 1;

    @ApiModelProperty(value = "每页显示多少条记录(默认每页10条)", example = "10")
    private int pageSize = 10;

    @ApiModelProperty(value = "业务类型")
    private Integer businessId;

    @ApiModelProperty(value = "业务类型分类0：数据文件,1:关键指标，2：试验报告，3：试验报告模板，4：原始数据")
    private Integer businessType;

    @ApiModelProperty(value = "业务类型分类父id")
    private Integer parentId;

    @ApiModelProperty(value = "文件关联数据表名称",hidden = true)
    private String ownerType;

    @ApiModelProperty(value = "数据类型（0：原始数据，1：预处理数据）")
    private Integer dataType;
}
