package com.singularity.pojo.dto.attachment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "附件上传入参")
public class UploadAttachmentDTO {

    @NotNull(message = "请选择您需要上传的附件")
    @ApiModelProperty(value = "附件",required = true)
    private MultipartFile multipartFile;

    @NotNull(message = "文件对应表id不能为空")
    @ApiModelProperty(value = "文件对应表id",dataType = "Long",required = true)
    private Long ownerId;

    @ApiModelProperty(value = "业务类型")
    private Integer businessType;

    @ApiModelProperty(value = "文件关联数据表名称",hidden = true)
    private String ownerType;

    @NotNull(message = "操作人id不能为空")
    @ApiModelProperty(value = "操作人id",required = true)
    private Integer operId;
}
