package com.singularity.pojo.dto.barking;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.Future;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@ApiModel(value = "UploadRideFileDTO",description = "上传转向试验数据文件入参")
public class UploadBarkingDateFileDTO {

    @NotNull(message = "请选择您需要上传的附件")
    @ApiModelProperty(value = "衬套试验数据文件，格式为.xlsx .xls .csv",required = true)
    private MultipartFile multipartFile;

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(value = "车辆id",required = true)
    private Long carId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "开始时间")
    @Future(message = "任务开始时间应该在当前时间之后")
    private Date taskStartTime;

    @ApiModelProperty(value = "本地文件路径,后端参数，前端忽略",hidden = true)
    private String localFilePath;

    @ApiModelProperty(value = "文件名称,后端参数，前端忽略",hidden = true)
    private String originalFilename;

    @ApiModelProperty(value = "文件大小,后端参数，前端忽略",hidden = true)
    private Long size;
}
