package com.singularity.pojo.dto.bushing;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("查看衬套试验数据详情")
public class QueryBushingDataDTO {

    @NotNull(message = "附件id不能为空")
    @ApiModelProperty(value = "附件id",required = true)
    private Integer attachId;

    @NotNull(message = "测试方式不能为空")
    @ApiModelProperty(value = "测试方式（0:下摆臂后衬套,1:下摆臂前衬套2:上摆臂衬套)", required = true)
    private Integer testType;

    @NotNull(message = "图像名称不能为空")
    @ApiModelProperty(value = "图像名称", required = true)
    private String chartName;

    @ApiModelProperty(value = "多项式函数阶数",dataType = "1")
    private Integer order = 1;

    @ApiModelProperty(value = "拟合起始值")
    private Integer startX = -5;

    @ApiModelProperty(value = "拟合终止值")
    private Integer endX = 5;


}
