package com.singularity.pojo.dto.car;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.Future;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class TyreFileUploadDTO {
    @NotNull(message = "汽车id不能为空")
    @ApiModelProperty(value = "汽车id",required = true)
    private Long carId;

    @NotNull(message = "请选择您需要上传的附件")
    @ApiModelProperty(value = "衬套试验数据文件，格式为.xlsx .xls .csv",required = true)
    private MultipartFile multipartFile;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "开始时间")
    @Future(message = "任务开始时间应该在当前时间之后")
    private Date taskStartTime;
}
