package com.singularity.pojo.dto.condition;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.singularity.util.result.PageMessage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(description = "工况列表分页查询DTO")
public class ConditionInfoListQueryDTO extends PageMessage {

    @ApiModelProperty(value = "工况名称",dataType = "String")
    private String conditionName;

    @ApiModelProperty(value = "工况名称简写",dataType = "String")
    private String conditionCode;

    @ApiModelProperty(value = "工况状态（1：正常，0：禁用）")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "创建日期开始")
    private Date createTimeStart;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "创建日期开始")
    private Date createTimeEnd;

    @ApiModelProperty(value = "0-NVH 1-K&C 2-平顺性 3-质心及惯量 4-操作稳定性 5-主观评价")
    private Integer type;
}
