package com.singularity.pojo.dto.experiment;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.Future;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

@Data
public class ExperimentFileDTO {

    @NotNull(message = "请选择您需要上传的附件")
    @ApiModelProperty(value = "文件")
    private MultipartFile multipartFile;

    @NotNull(message = "文件对应表id不能为空")
    @ApiModelProperty(value = "文件对应表id",required = true)
    private Long ownerId;

    @ApiModelProperty(value = "操作人id")
    private Integer operId;

    @ApiModelProperty(value = "文件对应表名")
    private String ownerType;

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(value = "车辆id",required = true)
    private Long carId;

    @ApiModelProperty(value = "工况id")
    private Integer conditionId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "开始时间")
    @Future(message = "任务开始时间应该在当前时间之后")
    private Date taskStartTime;

    @ApiModelProperty(value = "业务类型( 6：K&C试验数据文件)",hidden = true)
    private Integer businessType = 6;

    @ApiModelProperty(value = "任务开始时间,后端参数，前端忽略",hidden = true)
    private LocalDateTime startTime;

    @ApiModelProperty(value = "任务id,后端参数，前端忽略",hidden = true)
    private Integer taskId;

    @ApiModelProperty(value = "本地文件路径,后端参数，前端忽略",hidden = true)
    private String localFilePath;

    @ApiModelProperty(value = "本地压缩包内文件路径,后端参数，前端忽略",hidden = true)
    private List<String> localFilePathList;

    @ApiModelProperty(value = "文件名称,后端参数，前端忽略",hidden = true)
    private String originalFilename;

    @ApiModelProperty(value = "文件大小,后端参数，前端忽略",hidden = true)
    private Long size;


}
