package com.singularity.pojo.dto.handing;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Map;

@Data
@ApiModel(description = "生成操作稳定性试验报告入参")
public class CreateHadingReportDTO {

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(value = "车辆id",required = true)
    private Integer carId;

    @NotNull(message = "模板objName不能为空")
    @ApiModelProperty(value = "模板objName",required = true)
    private String objName;

    @ApiModelProperty(value = "数据表idList")
    private List<Integer> headIdList;

    @ApiModelProperty(value = "Map<图像title,图像svgDataUrl>",dataType = "Map<String,String>")
    private Map<String,String> svgDataUrlMap;


}
