package com.singularity.pojo.dto.handing;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(description = "查询操作稳定性数据文件列表入参")
public class QueryHandingFileListDTO {

    @ApiModelProperty(value = "文件业务类型")
    private Integer businessId;

    @ApiModelProperty(value = "业务类型分类0：数据文件,1:关键指标，2：试验报告，3：试验报告模板，4：原始数据")
    private Integer businessType;

    @ApiModelProperty(value = "业务类型分类父id")
    private Integer parentId;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "车辆id")
    private Integer carId;

    @ApiModelProperty(value = "第几页(默认第一页)", example = "1")
    private int pageNum = 1;

    @ApiModelProperty(value = "每页显示多少条记录(默认每页10条)", example = "10")
    private int pageSize = 10;

}
