package com.singularity.pojo.dto.handing;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@ApiModel(description = "批量上传操纵稳定性试验结果文件入参")
public class UploadHandingFileDTO {

    @ApiModelProperty(value = "业务类型")
    private Integer businessType;

    @NotNull(message = "请选择上传的文件")
    @ApiModelProperty(value = "文件",required = true)
    private MultipartFile multipartFile;

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(value = "车辆id",required = true)
    private Long carId;

    @ApiModelProperty(value = "操作人id")
    private Integer operId;

    @ApiModelProperty(value = "载荷")
    private Integer carLoad;

    @ApiModelProperty(value = "任务开始时间,为空时立刻执行")
    private Date startTime;

    @ApiModelProperty(value = "本地文件路径,后端参数，前端忽略",hidden = true)
    private String localFilePath;

    @ApiModelProperty(value = "文件名称,后端参数，前端忽略",hidden = true)
    private String originalFilename;

    @ApiModelProperty(value = "文件大小,后端参数，前端忽略",hidden = true)
    private Long size;

    @ApiModelProperty(value = "任务id,后端参数，前端忽略",hidden = true)
    private Integer taskId;


}
