package com.singularity.pojo.dto.kc;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CarExcelDTO {

    @ApiModelProperty(value = "id", dataType = "Long")
    private Long id;

    @ExcelProperty("品牌")
    @ApiModelProperty(value = "品牌", dataType = "String")
    private String brand;

    @ExcelProperty("车型")
    @ApiModelProperty(value = "车型", dataType = "String")
    private String carModel;

    @ExcelProperty("款式")
    @ApiModelProperty(value = "款式", dataType = "String")
    private String shape;

    @ExcelProperty("年型")
    @ApiModelProperty(value = "年型", dataType = "Integer")
    private Long yearType;

    @ExcelProperty("分类")
    @ApiModelProperty(value = "分类", dataType = "String")
    private String classification;

    @ExcelProperty("级别")
    @ApiModelProperty(value = "级别", dataType = "Integer")
    private String level;

    @ExcelProperty("类别")
    @ApiModelProperty(value = "类别(0:轿车,1:SUV,2:MPV,3:跑车,4:皮卡,5:面包车,6:越野车7:载客汽车,8:载货汽车,9:牵引汽车,10:专用汽车,11自卸汽车)")
    private String category;

    @ExcelProperty("国系")
    @ApiModelProperty(value = "生产地(0:中国，1：日系，2：德系，3：美系，4：韩系，5：法系，6其它)")
    private String productionPlace;

    @ExcelProperty("里程(km)")
    @ApiModelProperty(value = "里程(km)",dataType = "Integer")
    private Integer mileage;

    @ExcelProperty("发动机布置方式")
    @ApiModelProperty(value = "发动机布置方式", dataType = "String")
    private String engineLayout;

    @ExcelProperty("发动机型号")
    @ApiModelProperty(value = "发动机型号", dataType = "String")
    private String engineModel;

    @ExcelProperty("排量(L)")
    @ApiModelProperty(value = "排量(L)", dataType = "Integer")
    private String displacement;

    @ExcelProperty("VIN")
    @ApiModelProperty(value = "VIN类似于车辆身份证", dataType = "String")
    private String VIN;

    @ExcelProperty("额定功率(kW)")
    @ApiModelProperty(value = "额定功率(kW)", dataType = "Integer")
    private Integer ratedPower;

    @ExcelProperty("额定功率转速(r/min)")
    @ApiModelProperty(value = "额定功率转速(r/min)", dataType = "Integer")
    private Integer ratedPowerSpeed;

    @ExcelProperty("变速器型式")
    @ApiModelProperty(value = "变速器型式", dataType = "String")
    private String transmissionType;

    @ExcelProperty("变速器型号")
    @ApiModelProperty(value = "变速器型号")
    private String transmissionModel;

    @ExcelProperty("最高设计车速(km/h)")
    @ApiModelProperty(value = "最高设计车速(km/h)")
    private Integer maximumSpeed;

    @ApiModelProperty(value = "驱动桥主减速比")
    @ExcelProperty("驱动桥主减速比")
    private String finalDriveRatio;

    @ExcelProperty("驱动形式及位置")
    @ApiModelProperty(value = "驱动形式及位置")
    private String driveTypeLocation;

    @ExcelProperty("变速器前进档个数")
    @ApiModelProperty(value = "变速器前进档个数")
    private Integer speedsNums;

    @ExcelProperty("能源")
    @ApiModelProperty(value = "能源(0：汽油，1：柴油，2：油电混合，3：纯电动，4：插电式混动，5：增程式，6：氢燃料，7：燃料电池，8：天然气，9：甲醇，10：汽油+48V轻混系统，11：汽油+24V轻混系统)")
    private String energy;

    @ExcelProperty("变速器各档速比")
    @ApiModelProperty(value = "变速器各档速比")
    private String gearRatio;

    @ExcelProperty("车宽(mm)")
    @ApiModelProperty(value = "车宽(mm)")
    private Integer carWidth;

    @ExcelProperty("前轮距(mm)")
    @ApiModelProperty(value = "前轮距(mm)")
    private Integer frontTrack;

    @ExcelProperty("后轮距(mm)")
    @ApiModelProperty(value = "后轮距(mm)")
    private Integer rearTrack;

    @ExcelProperty("车高(mm)")
    @ApiModelProperty(value = "车高(mm)")
    private Integer carHeight;

    @ExcelProperty("车长(mm)")
    @ApiModelProperty(value = "车长(mm)")
    private Integer carLength;

    @ExcelProperty("轴距(mm)")
    @ApiModelProperty(value = "轴距(mm)")
    private Integer wheelbase;

    @ExcelProperty("最小离地间隙(mm)")
    @ApiModelProperty(value = "最小离地间隙(mm)")
    private Integer minGroundClearance;

    @ExcelProperty("车身型式")
    @ApiModelProperty(value = "车身型式")
    private String bodyType;

    @ExcelProperty("设计成员数(人)")
    private Integer totalNumbers;

    @ExcelProperty("底盘型号")
    @ApiModelProperty(value = "底盘型号")
    private String chassisModel;

    @ExcelProperty("转向形式")
    @ApiModelProperty(value = "转向形式 (0:液压助力转向 1：电动助力转向)")
    private String steeringType;

    @ExcelProperty("方向盘直径(m)")
    @ApiModelProperty(value = "方向盘直径(m)")
    private Double steeringWheelDiameter;

    @ExcelProperty("前悬挂形式")
    @ApiModelProperty(value = "前悬挂形式(0：麦弗逊，1：双横臂，2：板簧，3：其他)")
    private String frontHangingForm;

    @ExcelProperty("前弹簧刚度(N/mm)")
    @ApiModelProperty(value = "前弹簧刚度(N/mm)")
    private Double frontSpringStiffness;

    @ExcelProperty("前弹簧杠杆比")
    @ApiModelProperty(value = "前弹簧杠杆比")
    private String frontSpringLeverageRatio;

    @ExcelProperty("前横向稳定杆直径(mm)")
    @ApiModelProperty(value = "前横向稳定杆直径(mm)")
    private Double frontStabilizerDiameter;

    @ExcelProperty("前缓冲块长度(mm)")
    @ApiModelProperty(value = "前缓冲块长度(mm)")
    private Double frontBufferBlockLen;

    @ExcelProperty("前缓冲块密度(g/cm^3)")
    @ApiModelProperty(value = "前缓冲块密度(g/cm^3)")
    private Double frontBufferDensity;

    @ExcelProperty("后悬挂形式")
    @ApiModelProperty(value = "后悬挂形式（0：三连杆，1：双横臂，2：麦弗逊，3：E型四连杆，4：五连杆，5、板簧，6、三连杆（非独立）7、五连杆（非独立）8、其它 9、H 臂悬架）")
    private String rearHangingForm;

    @ExcelProperty("后弹簧刚度(N/mm)")
    @ApiModelProperty(value = "后弹簧刚度(N/mm)")
    private Double rearSpringStiffness;

    @ExcelProperty("后弹簧杠杆比")
    @ApiModelProperty(value = "后弹簧杠杆比")
    private String rearSpringLeverageRatio;

    @ExcelProperty("后横向稳定杆直径(mm)")
    @ApiModelProperty(value = "后横向稳定杆直径(mm)")
    private Double rearStabilizerDiameter;

    @ExcelProperty("后缓冲块长度(mm)")
    @ApiModelProperty(value = "后缓冲块长度(mm)")
    private Double rearBufferBlockLength;

    @ExcelProperty("后缓冲块密度(g/cm^3)")
    @ApiModelProperty(value = "后缓冲块密度(g/cm^3)")
    private Double rearBufferDensity;

    @ExcelProperty("前轮胎品牌")
    @ApiModelProperty(value = "前轮胎品牌")
    private String frontTireBrand;

    @ExcelProperty("前轮胎规格")
    @ApiModelProperty(value = "前轮胎规格")
    private String frontTireSpecifications;

    @ExcelProperty("前轮胎胎压(bar)")
    @ApiModelProperty(value = "前轮胎胎压(bar)")
    private Double frontTirePressure;

    @ExcelProperty("整备前轴荷(kg)")
    @ApiModelProperty(value = "整备前轴荷(kg)")
    private Double frontAxleLoad;

    @ExcelProperty("半载前轴荷(kg)")
    @ApiModelProperty(value = "半载前轴荷(kg)")
    private Double halfFrontAxleLoad;

    @ExcelProperty("满载前轴荷(kg)")
    @ApiModelProperty(value = "满载前轴荷(kg)")
    private Double fullyFrontAxleLoad;

    @ExcelProperty("前簧下质量(kg)")
    @ApiModelProperty(value = "前簧下质量(kg)")
    private Double frontSpringMass;

    @ExcelProperty("后轮胎品牌")
    @ApiModelProperty(value = "后轮胎品牌")
    private String rearTireBrand;

    @ExcelProperty("后轮胎规格")
    @ApiModelProperty(value = "后轮胎规格")
    private String rearTireSpecifications;

    @ExcelProperty("后轮胎胎压(bar)")
    @ApiModelProperty(value = "后轮胎胎压(bar)")
    private Double rearTirePressure;

    @ExcelProperty("整备后轴荷(kg)")
    @ApiModelProperty(value = "整备后轴荷(kg)")
    private Double rearAxleLoad;

    @ExcelProperty("半载后轴荷(kg)")
    @ApiModelProperty(value = "半载后轴荷(kg)")
    private Double halfRearAxleLoad;

    @ExcelProperty("满载后轴荷(kg)")
    @ApiModelProperty(value = "满载后轴荷(kg)")
    private Double fullyRearAxleLoad;

    @ExcelProperty("后簧下质量(kg)")
    @ApiModelProperty(value = "后簧下质量(kg)")
    private Double rearSpringMass;
}
