package com.singularity.pojo.dto.kc;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.singularity.util.page.RequestDTOWithPage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
public class KCFileSearch extends RequestDTOWithPage {

    @NotNull(message = "汽车id不能为空")
    @ApiModelProperty(value = "ownerId",example = "1",required = true)
    private Integer carId;

    @ApiModelProperty(value = "附件id",example = "1")
    private Integer fileId;

    @ApiModelProperty(value = "文件名",example = "文件1.txt")
    private String name;

    @ApiModelProperty(value = "工况名",example = "VVT")
    private String testConditions;

    @ApiModelProperty(value = "开始日期(包括开始日期)",example = "2024-01-19")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    @ApiModelProperty(value = "结束日期(不包括结束日期)",example = "2024-01-22")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    @ApiModelProperty(value = "业务类型 业务类型( 6：K&C试验数据文件  7：K&C试验报告 37:平顺性试验数据文件)")
    private Integer businessId;

    @ApiModelProperty(value = "对应表名",example = "car_info")
    private String ownerType;
}
