package com.singularity.pojo.dto.kc;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "ReadMatlabKCFileDTO",description = "读取matlabK&C数据文件入参")
public class ReadMatlabKCFileDTO {

    @NotNull(message = "测点id不能为空")
    @ApiModelProperty(value = "测点id",required = true)
    private Integer measureId;

    @NotNull(message = "绘图数据文件不能为空")
    @ApiModelProperty(value = "绘图数据文件",required = true)
    private String objName;

    @ApiModelProperty(value = "滤波最小值")
    private String xMinPoly = "";

    @ApiModelProperty(value = "滤波最大值")
    private String xMaxPoly = "";


}
