package com.singularity.pojo.dto.kc;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
/**
 * 试验方案设置(ExperimentInfo)实体类
 *
 * @author 宇
 * @since 2024-01-25
 */

@Data
@Builder
@ApiModel("试验方案设置入参")
public class SetExperimentParamDTO {
    @ApiModelProperty(value = "附件对应id",required = true)
    @NotNull(message = "对应id不能为空")
    private Integer attachId;

    @ApiModelProperty(value = "试验名称")
    private String testName;

    @ApiModelProperty(value = "试验工况")
    private Integer conditionId;

    @ApiModelProperty(value = "试验开始时间")
    @JsonFormat(locale = "zh",pattern = "YYYY-MM-dd",timezone = "GMT+8")
    private Date startTime;

    @ApiModelProperty(value = "试验结束时间")
    @JsonFormat(locale = "zh",pattern = "YYYY-MM-dd",timezone = "GMT+8")
    private Date endTime;

    @ApiModelProperty(value = "试验台名称")
    private String testBed;

    @ApiModelProperty(value = "单双轴(0-单轴,1-双轴)")
    private Integer axle;

    @ApiModelProperty(value = "载荷（0-空载，1-半载，2-满载）")
    private Integer carLoad;
    @ApiModelProperty(value = "前横向稳定杆是否启用（0-否，1是）")
    private Integer frontBar;

    @ApiModelProperty(value = "后横向稳定杆是否启用（0-否，1是）")
    private Integer rearBar;

    @ApiModelProperty(value = "转向助力（0-否，1是）")
    private Integer powerSteering;

    @ApiModelProperty(value = "引擎是否启用（0-否，1是）")
    private Integer engine;

    @ApiModelProperty(value = "备注")
    private String remark;
}
