package com.singularity.pojo.dto.ride;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
@Data
public class CarTestMessageDTO {
    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("汽车id")
    private Long carId;

    @ApiModelProperty(value = "试验名称(0：kc,1:NVH，2行驶性能-平顺性，3：行驶性能-操作稳定性，4：主观评价，5：制动性，6：衬套数据，7：滑行，8：减震器调试，9：转向，10：轮胎学特性)")
    private Integer testName;

    @ApiModelProperty(value = "状态（0：待处理，1：处理中，2：已完成）")
    private Integer stat;

    @ApiModelProperty(value = "试验场地")
    private String testPlace;

    @ApiModelProperty(value = "开始事件")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    @ApiModelProperty(value = "修改日期")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
