package com.singularity.pojo.dto.spring;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.Future;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@ApiModel("上传弹簧原始数据文件入参")
public class UploadSpringResourceFileDTO {
    @NotNull(message = "请选择需要上传的文件")
    @ApiModelProperty(value = "文件")
    private MultipartFile multipartFile;

    @ApiModelProperty(value = "文件对应表id",required = true)
    @NotNull(message = "文件对应表id不能为空")
    private Long ownerId;

    @NotNull(message = "操作人id不能为空")
    @ApiModelProperty(value = "操作人id",required = true)
    private Integer operId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "开始时间")
    @Future(message = "任务开始时间应该在当前时间之后")
    private Date startTime;

    @ApiModelProperty(value = "数据类型（0：原始数据，1：预处理数据）")
    private Integer dataType;

    @ApiModelProperty(value = "本地文件路径,后端参数，前端忽略",hidden = true)
    private String localFilePath;

    @ApiModelProperty(value = "任务id,后端参数，前端忽略",hidden = true)
    private Integer taskId;
}
