package com.singularity.pojo.dto.template;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;


@Data
@ApiModel(description = "批量上传模板入参")
public class UploadTemplateDTO {

    @NotNull(message = "文件对应业务类型不能为空")
    @ApiModelProperty(value = "业务类型",required = true)
    private Integer businessType;


    @ApiModelProperty(value = "文件列表",required = true)
    @NotEmpty(message = "文件列表不能为空")
    private List<MultipartFile> multipartFileList;


}
