package com.singularity.pojo.dto.vehicle;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class VehicleInfoDTO {
    @NotNull(message = "汽车id不能为空")
    @ApiModelProperty(value = "汽车id",required = true)
    private Long carId;

    @ApiModelProperty(value = "试验名称(0：kc,1:NVH，2行驶性能，3：主观评价)")
    private Integer testName;

    @ApiModelProperty(value = "状态（0：待处理，1：处理中，2：已完成）")
    private Integer stat;

    @ApiModelProperty(value = "试验场地")
    private String testPlace;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "试验开始日期")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "试验结束日期")
    private Date endTime;
}
