package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("car_basic_param")
@ApiModel(value="CarBasicParam对象", description="车辆基本参数信息表")
public class CarBasicParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "品牌")
    @TableField("brand")
    private String brand;

    @ApiModelProperty(value = "车型")
    @TableField("car_model")
    private String carModel;

    @ApiModelProperty(value = "款式")
    @TableField("shape")
    private String shape;

    @ApiModelProperty(value = "年型")
    @TableField("year_type")
    private Integer yearType;

    @ApiModelProperty(value = "分类")
    @TableField("classification")
    private Integer classification;

    @ApiModelProperty(value = "级别")
    @TableField("level")
    private Integer level;

    @ApiModelProperty(value = "类别(0:轿车,1:SUV,2:MPV,3:跑车,4:皮卡,5:面包车,6:越野车7:载客汽车,8:载货汽车,9:牵引汽车,10:专用汽车,11自卸汽车)")
    @TableField("category")
    private Integer category;

    @TableField("production_place")
    @ApiModelProperty(value = "生产地(0:中国，1：日系，2：德系，3：美系，4：韩系，5：法系，6其它)")
    private Integer productionPlace;

    @ApiModelProperty(value = "里程(km)")
    @TableField("mileage")
    private Integer mileage;

    @ApiModelProperty(value = "发动机布置方式")
    @TableField("engine_layout")
    private String engineLayout;

    @ApiModelProperty(value = "发动机型号")
    @TableField("engine_model")
    private String engineModel;

    @ApiModelProperty(value = "排量(L)")
    @TableField("displacement")
    private String displacement;

    @ApiModelProperty(value = "VIN")
    @TableField("VIN")
    private String vin;

    @ApiModelProperty(value = "额定功率(kW)")
    @TableField("rated_power")
    private Integer ratedPower;

    @ApiModelProperty(value = "额定功率转速(r/min)")
    @TableField("rated_power_speed")
    private Integer ratedPowerSpeed;

    @ApiModelProperty(value = "变速器型式")
    @TableField("transmission_type")
    private String transmissionType;

    @ApiModelProperty(value = "变速器型号")
    @TableField("transmission_model")
    private String transmissionModel;

    @ApiModelProperty(value = "最高设计车速(km/h)")
    @TableField("maximum_speed")
    private Integer maximumSpeed;

    @ApiModelProperty(value = "驱动桥主减速比")
    @TableField("final_drive_ratio")
    private String finalDriveRatio;

    @ApiModelProperty(value = "驱动形式及位置")
    @TableField("drive_type_location")
    private String driveTypeLocation;

    @ApiModelProperty(value = "变速器前进档个数")
    @TableField("speeds_nums")
    private Integer speedsNums;

    @TableField("energy")
    @ApiModelProperty(value = "能源(0：汽油，1：柴油，2：油电混合，3：纯电动，4：插电式混动，5：增程式，6：氢燃料，7：燃料电池，8：天然气，9：甲醇，10：汽油+48V轻混系统，11：汽油+24V轻混系统)")
    private Integer energy;

    @ApiModelProperty(value = "变速器各档速比")
    @TableField("gear_ratio")
    private String gearRatio;

    @ApiModelProperty(value = "更新时间")
    @TableField("updated_at")
    private Date updatedAt;

    @ApiModelProperty(value = "创建时间")
    @TableField("created_at")
    private Date createdAt;

    @ApiModelProperty(value = "NVH文件上传状态（0：未上传，1：上传中，2：已上传）")
    @TableField("nvh_upload_stat")
    private Integer nvhUploadStat;

    @ApiModelProperty(value = "K&C文件上传状态（0：未上传，1：上传中，2：已上传）")
    @TableField("kc_upload_stat")
    private Integer kcUploadStat;

    // 主观评价
    @ApiModelProperty(value = "商用车行驶性能主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    @TableField("commercial_upload_stat")
    private Integer commercialUploadStat;

    @ApiModelProperty(value = "乘用车行驶性能主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    @TableField("passenger_upload_stat")
    private Integer passengerUploadStat;

    @ApiModelProperty(value = "乘用车商品性主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    @TableField("commodity_upload_stat")
    private Integer commodityUploadStat;

    @ApiModelProperty(value = "客车商品性主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    @TableField("truck_upload_stat")
    private Integer truckUploadStat;

    @ApiModelProperty(value = "货车商品性主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    @TableField("bus_upload_stat")
    private Integer busUploadStat;

    @ApiModelProperty(value = "客车商品性主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    @TableField("nvh_subjective_stat")
    private Integer nvhSubjectiveStat;

    // 行驶性能状态
    @TableField("tire_upload_stat")
    @ApiModelProperty(value = "行驶性能轮胎上传状态上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer tireUploadStat;

    @TableField("damper_upload_stat")
    @ApiModelProperty(value = "行驶性能减震器上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer damperUploadStat;

    @TableField("bushing_upload_stat")
    @ApiModelProperty(value = "行驶性能衬套上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer bushingUploadStat;

    @TableField("inertia_upload_stat")
    @ApiModelProperty(value = "行驶性能质心及转动惯量上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer inertiaUploadStat;

    @TableField("ride_upload_stat")
    @ApiModelProperty(value = "行驶性能平顺性上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer rideUploadStat;

    @TableField("coast_upload_stat")
    @ApiModelProperty(value = "行驶性能滑行上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer coastUploadStat;

    @TableField("handing_upload_stat")
    @ApiModelProperty(value = "行驶性能操纵稳定性上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer handingUploadStat;

    @TableField("steering_upload_stat")
    @ApiModelProperty(value = "行驶性能转向上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer steeringUploadStat;

    @TableField("braking_upload_stat")
    @ApiModelProperty(value = "行驶性能制动性上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer brakingUploadStat;

    @TableField("spring_upload_stat")
    @ApiModelProperty(value = "零部件弹簧上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer springUploadStat;

    @ApiModelProperty(value = "厂商")
    @TableField("manufacturer")
    private String manufacturer;

    @ApiModelProperty(value = "上市时间")
    @TableField("listing_date")
    private Date listingDate;

    @ApiModelProperty(value = "官方0-100km/h加速(s)")
    @TableField("acceleration")
    private Double acceleration;

    @ApiModelProperty(value = "整备质量(kg)")
    @TableField("equip_quality")
    private String equipQuality;

    @ApiModelProperty(value = "最大满载质量(kg)")
    @TableField("max_equip_quality")
    private String maxEquipQuality;

    /**
     * 车型
     */
    private String type;

    /**
     * 级别
     */
    private Integer vehicleLevel;

    /**
     * 轴距
     */
    private Long wheelbase;


    /**
     * 前轮距
     */
    private Long frontGauge;

    /**
     * 后轮距
     */
    private Long backGauge;

    /**
     * 转向形式
     1 机械式转向,2 液压式转向,3 电动式转向,4 四轮转向
     */
    private Integer steeringSystem;


    /**
     * 前悬架形式
     1 非独立悬架,2 麦弗逊式独立悬架,3 双横臂/双叉臂、多连杆式独立悬架,4 半独立悬架
     */
    private Integer frontSuspensionForm;


    /**
     * 后悬架形式
     1 非独立悬挂系统,2 独立悬挂系统 ...
     */
    private Integer backSuspensionForm;

    /**
     * 年份
     */
    private Long particularYear;
}
