package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 车辆车身参数信息表
 * </p>
 *
 * @author ${author}
 * @since 2024-05-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("car_body_param")
@ApiModel(value="CarBodyParam对象", description="车辆车身参数信息表")
public class CarBodyParam implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("car_id")
    private Long carId;

    @ApiModelProperty(value = "车宽(mm)")
    @TableField("car_width")
    private Integer carWidth;

    @ApiModelProperty(value = "前轮距(mm)")
    @TableField("front_track")
    private Integer frontTrack;

    @ApiModelProperty(value = "后轮距(mm)")
    @TableField("rear_track")
    private Integer rearTrack;

    @ApiModelProperty(value = "车高(mm)")
    @TableField("car_height")
    private Integer carHeight;

    @ApiModelProperty(value = "车长(mm)")
    @TableField("car_length")
    private Integer carLength;

    @ApiModelProperty(value = "轴距(mm)")
    @TableField("wheelbase")
    private Integer wheelbase;

    @ApiModelProperty(value = "最小离地间隙(mm)")
    @TableField("min_ground_clearance")
    private Integer minGroundClearance;

    @ApiModelProperty(value = "车身型式")
    @TableField("body_type")
    private String bodyType;

    @ApiModelProperty(value = "设计成员数(人)")
    @TableField("total_numbers")
    private Integer totalNumbers;

    @ApiModelProperty(value = "接近角(°)")
    private Double approachAngle;

    @ApiModelProperty(value = "离去角(°)")
    private Double departureAngle;

    @ApiModelProperty(value = "车门开启方式")
    private String doorOpenType;

    @ApiModelProperty(value = "车门数(个)")
    private Integer doorNumber;

    @ApiModelProperty(value = "座位数(个)")
    private Integer seatNumber;

    @ApiModelProperty(value = "油箱容积(L)")
    private Double fuelSize;

    @ApiModelProperty(value = "后备厢容积(L)")
    private Double trunkSize;

    @ApiModelProperty(value = "风阻系数(Cd)")
    private String dragCoefficient;
}
