package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 车辆信息字段
 * </p>
 *
 * @author ${author}
 * @since 2024-05-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("car_column")
@ApiModel(value="CarColumn对象", description="车辆信息字段")
public class CarColumn implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "列名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "中文名称")
    @TableField("chinese_name")
    private String chineseName;

    @ApiModelProperty(value = "字段value")
    @TableField(exist = false)
    private String value;

    @ApiModelProperty(value = "0-basic，1-body，2-chassis")
    @TableField("type")
    private Integer type;


}
