package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("car_test")
@ApiModel(value="CarTest对象", description="")
public class CarTest implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "车辆id")
    @TableField("car_id")
    private Integer carId;

    @ApiModelProperty(value = "状态（0：待处理，1：处理中，2：已完成）")
    @TableField("stat")
    private Integer stat;

    @ApiModelProperty(value = "试验名称(0：kc,1:NVH，2行驶性能-平顺性，3：行驶性能-操作稳定性，4：主观评价)")
    @TableField("test_name")
    private Integer testName;

    @ApiModelProperty(value = "试验场地")
    @TableField("test_place")
    private String testPlace;

    @ApiModelProperty(value = "试验开始日期")
    @TableField("start_time")
    private Date startTime;

    @ApiModelProperty(value = "试验结束日期")
    @TableField("end_time")
    private Date endTime;

    @ApiModelProperty(value = "创建日期")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改日期")
    @TableField("update_time")
    private Date updateTime;


}
