package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.Date;


@Data
@Builder
@TableName("experiment_info")
@ApiModel("试验方案设置入参")
public class ExperimentInfo{

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "附件对应id",dataType = "Integer",required = true)
    private Long attachId;

    @ApiModelProperty(value = "附件对应工况id")
    private Integer conditionId;

    /**
     * 试验台名称
     */
    private String testBed;
    /**
     * 试验开始时间
     */
    @JsonFormat(pattern = "YYYY-MM-dd",timezone = "Asia/Shanghai")
    private Date startTime;
    /**
     * 试验结束时间
     */
    @JsonFormat(pattern = "YYYY-MM-dd",timezone = "Asia/Shanghai")
    private Date endTime;
    /**
     * 单双轴(0-单轴,1-双轴)
     */
    private Integer axle;
    /**
     * 载荷（0-空载，1-半载，2-满载）
     */
    private Integer carLoad;
    /**
     * 前横向稳定杆是否启用（0-是，1否）
     */
    private Integer frontBar;
    /**
     * 后横向稳定杆是否启用（0-是，1否）
     */
    private Integer rearBar;
    /**
     * 转向助力（0-是，1否）
     */
    private Integer powerSteering;
    /**
     * 引擎是否启用（0-是，1否）
     */
    private Integer engine;
    /**
     * 备注
     */
    private String remark;

    /**
     * 驾驶模式(0-标准 1-非标准)
     */
    private Integer drivingMode;

    @ApiModelProperty(value = "转向（0：左转，1：右转）")
    private Integer steering;

    @ApiModelProperty(value = "试验车速(0:高速，1：低速)")
    private Integer testSpeed;

    @ApiModelProperty(value = "数据类型（0：原始数据，1：处理后数据）")
    private Integer dataType;
}

