package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("experimental_results")
@ApiModel(value="ExperimentalResults对象", description="平顺性实验结果表格数据")
public class ExperimentalResults implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "车辆id")
    @TableField("car_id")
    private Long carId;

    @ApiModelProperty(value = "指标")
    @TableField("target")
    private String target;

    @ApiModelProperty(value = "单位")
    @TableField("unit")
    private String unit;

    @ApiModelProperty(value = "S30")
    @TableField("S30")
    private BigDecimal s30;

    @ApiModelProperty(value = "平均值")
    @TableField("average")
    private BigDecimal average;


}
