package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("file_business")
@ApiModel(value="FileBusiness对象", description="文件业务类型信息表")
public class FileBusiness implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "业务类型名称")
    @TableField("business_name")
    private String businessName;

    @ApiModelProperty(value = "父业务类型id")
    @TableField("parent_id")
    private Integer parentId;

    @ApiModelProperty(value = "状态（0：禁用，1：正常）")
    @TableField("stat")
    private Integer stat;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty(value = "业务类型（0：数据文件,1:关键指标，2：试验报告，3：试验报告模板）")
    @TableField("business_type")
    private Integer businessType;


}
