package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("kc_evaluation")
@ApiModel(value="KcEvaluation对象")
public class KcEvaluation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "附件id")
    @TableField("attach_id")
    private Long attachId;

    @ApiModelProperty(value = "车辆id")
    @TableField("car_id")
    private Long carId;

    @ApiModelProperty(value = "工况id")
    @TableField("condition_id")
    private Integer conditionId;

    @ApiModelProperty(value = "指标名称")
    @TableField("indicator_name")
    private String indicatorName;

    @ApiModelProperty(value = "指标单位")
    @TableField("unit")
    private String unit;

    @ApiModelProperty(value = "斜度")
    @TableField("slope")
    private String slope;

    @ApiModelProperty(value = "右前")
    @TableField("right_front")
    private Double rightFront;

    @ApiModelProperty(value = "左前")
    @TableField("left_front")
    private Double leftFront;

    @TableField("front_1")
    private Double front1;

    @ApiModelProperty(value = "右后")
    @TableField("right_rear")
    private Double rightRear;

    @ApiModelProperty(value = "左后")
    @TableField("left_rear")
    private Double leftRear;

    @TableField("rear_2")
    private Double rear2;


}
