package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("nvh_evaluation")
@ApiModel(value="NvhEvaluation对象", description="NVH性能主观评价数据表")
public class NVHEvaluation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "附件id")
    @TableField("attach_id")
    private Long attachId;

    @ApiModelProperty(value = "评价类别")
    @TableField("type")
    private String type;

    @ApiModelProperty(value = "评价序号")
    @TableField("sort")
    private String sort;

    @ApiModelProperty(value = "评价项目")
    @TableField("item")
    private String item;

    @ApiModelProperty(value = "评分")
    @TableField("score")
    private Double score;

    @ApiModelProperty(value = "评价描述")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "第一级工况")
    @TableField("first_condition")
    private String firstCondition;

    @ApiModelProperty(value = "第二级工况")
    @TableField("second_condition")
    private String secondCondition;

    @ApiModelProperty(value = "测试位置")
    @TableField("test_index")
    private String testIndex;

    @ApiModelProperty(value = "测试值")
    @TableField("test_value")
    private String testValue;

    @ApiModelProperty(value = "单位")
    @TableField("unit")
    private String unit;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
