package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author 天
 *
 * @description: 权限类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("permission")
public class Permission{

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
    * 所属上级
    */
    private Long pid;

    /**
    * 权限名称
    */
    private String name;

    /**
    * 类型(0:菜单,1:按钮)
    */
    private Integer type;

    /**
    * 权限值
    */
    private String value;

    /**
    * 访问路径
    */
    private String component;

    /**
    * 组件路径
    */
    private String path;

    /**
    * 后端接口
    */
    private String uri;

    /**
    *  1（enable）启用， 0（disable）禁用
    */
    private Integer status;

    /**
    * 创建时间
    */
    @TableField(fill = FieldFill.INSERT)
    private Date createdAt;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updatedAt;

}
