package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 正弦拟合特性
 * </p>
 *
 * @author windsky
 * @since 2024-03-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sine_fit_characteristic")
@ApiModel(value="SineFitCharacteristic对象", description="正弦拟合特性")
public class SineFitCharacteristic implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId("id")
    private Integer id;

    @ApiModelProperty(value = "附件id")
    @TableField("attach_id")
    private Integer attachId;

    @ApiModelProperty(value = "汽车id")
    @TableField("car_id")
    private Integer carId;

    @ApiModelProperty(value = "行名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "freq")
    @TableField("freq")
    private String freq;

    @ApiModelProperty(value = "amp")
    @TableField("amp")
    private String amp;

    @ApiModelProperty(value = "accel")
    @TableField("accel")
    private String accel;

    @ApiModelProperty(value = "offset")
    @TableField("offset")
    private String offset;

    @ApiModelProperty(value = "amplitude")
    @TableField("amplitude")
    private String amplitude;

    @ApiModelProperty(value = "phase")
    @TableField("phase")
    private String phase;

    @ApiModelProperty(value = "total")
    @TableField("total")
    private String total;

    @ApiModelProperty(value = "CGValue")
    @TableField("CG_value")
    private String cgValue;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;


}
