package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Builder
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("subjective_evaluation")
@ApiModel(value="SubjectiveEvaluation", description="主观评价实体类")
public class SubjectiveEvaluation implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "车辆id")
    @TableField("car_id")
    private Long carId;

    @ApiModelProperty(value = "附件id")
    @TableField("attach_id")
    private Long attachId;

    @ApiModelProperty(value = "0：商用车主观评价体系，1：乘用车主观评价体系，2：商品性主观评价体系")
    @TableField("review_type")
    private Integer reviewType;

    @ApiModelProperty(value = "等级")
    @TableField("grade")
    private Long grade;

    @ApiModelProperty(value = "指标名称")
    @TableField("test_name")
    private String testName;

    @ApiModelProperty(value = "车型评分")
    @TableField("model_ratings")
    private String modelRatings;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "车型评语")
    @TableField("model_reviews")
    private String modelReviews;

    @ApiModelProperty(value = "说明")
    @TableField("illustrate")
    private String illustrate;

    @ApiModelProperty(value = "序号")
    @TableField("serial_number")
    private Long serialNumber;

    @ApiModelProperty(value = "所属序号")
    @TableField("belong_serial")
    private Long belongSerial;

    @ApiModelProperty(value = "评价人姓名")
    @TableField("evaluator_name")
    private String evaluatorName;

}
