package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("table_chart")
@ApiModel(value="TableChart对象", description="绘图数据记录表")
public class TableChart implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "数据表格id")
    @TableField("head_id")
    private Integer headId;

    @ApiModelProperty(value = "曲线名称")
    @TableField("title")
    private String title;

    @ApiModelProperty(value = "x轴数据列")
    @TableField("col_x")
    private Integer colX;

    @ApiModelProperty(value = "y轴数据列")
    @TableField("col_y")
    private Integer colY;

    @ApiModelProperty(value = "数据行间隔")
    @TableField("row_interval")
    private Integer rowInterval;

    @ApiModelProperty(value = "状态（0：禁用，1：正常）")
    @TableField("stat")
    private Integer stat;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "x轴标签")
    @TableField("label_x")
    private String labelX;

    @ApiModelProperty(value = "y轴标签")
    @TableField("label_y")
    private String labelY;

    @ApiModelProperty(value = "开始行")
    @TableField("start_row")
    private Integer startRow;

    @ApiModelProperty(value = "拟合曲线开始")
    @TableField("fitting_start")
    private Integer fittingStart;

    @ApiModelProperty(value = "拟合曲线结束")
    @TableField("fitting_end")
    private Integer fittingEnd;


}
