package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("user_role")
@Builder
public class UserRole {

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
    * 角色id
    */
    private Long roleId;

    /**
    * 用户id
    */
    private Long userId;

    /**
    * 创建时间
    */
    @TableField(fill = FieldFill.INSERT)
    private Date createdAt;

    /**
    * 更新时间
    */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updatedAt;

    /**
    * 删除时间
    */
    @ApiModelProperty("删除时间")
    private Date deletedAt;
}
