package com.singularity.pojo.enumeration;

import lombok.Getter;

public class ExperimentEnum {

    @Getter
    public enum LoadEnum {

        BLANK_LOAD(0, "空载"),
        HALF_LOAD(1, "半载"),
        FULL_LOAD(2, "满载"),
        OVER_LOAD(3, "超载"),
        PREPARATION_LOAD(4, "整备");

        private final Integer code;
        private final String name;


        LoadEnum(Integer code, String name) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code) {
            for (LoadEnum value : LoadEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name) {
            for (LoadEnum value : LoadEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }

    @Getter
    public enum DrivingModeEnum {

        BLANK_LOAD(0, "标准模式"),
        HALF_LOAD(1, "非标准模式");

        private final Integer code;
        private final String name;


        DrivingModeEnum(Integer code, String name) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code) {
            for (DrivingModeEnum value : DrivingModeEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name) {
            for (DrivingModeEnum value : DrivingModeEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }

    @Getter
    public enum ConditionEnum {

        BLANK_LOAD(23, "GB-脉冲"),
        HALF_LOAD(24, "GB-随机");

        private final Integer code;
        private final String name;


        ConditionEnum(Integer code, String name) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code) {
            for (ConditionEnum value : ConditionEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name) {
            for (ConditionEnum value : ConditionEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }

    @Getter
    public enum DataTypeEnum {

        RESOURCE_DATA(0, "原始数据"),
        preprocess_data(1, "预处理数据");

        private final Integer code;
        private final String name;


        DataTypeEnum(Integer code, String name) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code) {
            for (DataTypeEnum value : DataTypeEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name) {
            for (DataTypeEnum value : DataTypeEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }

    // 转向
    @Getter
    public enum SteeringEnum {

        RESOURCE_DATA(0, "左转"),
        preprocess_data(1, "右转");

        private final Integer code;
        private final String name;


        SteeringEnum(Integer code, String name) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code) {
            for (SteeringEnum value : SteeringEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name) {
            for (SteeringEnum value : SteeringEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }

    // 车速
    @Getter
    public enum TestSpeedEnum {

        RESOURCE_DATA(0, "低速"),
        preprocess_data(1, "高速");

        private final Integer code;
        private final String name;


        TestSpeedEnum(Integer code, String name) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code) {
            for (TestSpeedEnum value : TestSpeedEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name) {
            for (TestSpeedEnum value : TestSpeedEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }
}
