package com.singularity.pojo.enumeration;

import lombok.Getter;

@Getter
public enum FileTitleEnum {
    /**
     * 载荷
     */
    LOAD_NULL(0,"空载"),
    LOAD_HALF(1,"半载"),
    LOAD_FULL(2,"满载"),

    /**
     * 单双轴
     */
    ONE_AXIS(0,"单轴"),
    TWO_AXIS(0,"双轴"),

    /**
     * 前横向稳定杆是否启用
     */
    FRONT_BAR_NO(0,"否"),
    FRONT_BAR_YES(1,"是"),

    /**
     * 后横向稳定杆是否启用
     */
    REAR_BAR_NO(0,"否"),
    REAR_BAR_YES(1,"是"),

    /**
     * 引擎是否启动
     */
    ENGINE_NO(0,"否"),
    ENGINE_YES(0,"是");

    private final Integer code;
    private final String name;

    FileTitleEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }
    public static String getNameByCode(Integer code){
        for (FileTitleEnum value : FileTitleEnum.values()) {
            if (code != null && code.equals(value.getCode()))
                return value.getName();
        }
        return null;
    }

    public static Integer getCodeByName(String name){
        for (FileTitleEnum value : FileTitleEnum.values()) {
            if (name != null && name.equals(value.getName()))
                return value.getCode();
        }
        return null;
    }
}
