package com.singularity.pojo.enumeration;

import lombok.Getter;

@Getter
public enum HandingResultEnum {
    SERPENTINE_TEST(18, "蛇形试验"),
    STEADY_STATE_CORNERING_TEST(19, "稳态回转试验"),
    STEERING_SELF_CENTERING_TEST(26, "转向回正试验"),
    STEERING_EFFORT_TEST(27, "转向轻便性试验"),
    STEERING_TRANSIENT_RESPONSE_STEP_TEST(28, "转向瞬态响应试验（角阶跃）"),
    STEERING_TRANSIENT_RESPONSE_PULSE_TEST(29, "转向瞬态响应试验（角脉冲）"),
    STEERING_MID_POSITION_CHARACTERISTICS_TEST(30, "转向中间特性试验");

    private final Integer code;

    private final String name;

    HandingResultEnum(Integer code, String name) {
        this.name = name;
        this.code = code;
    }

    public static Integer getCodeByName(String name) {
        for (HandingResultEnum value : HandingResultEnum.values()) {
            if (name != null && name.equals(value.getName()))
                return value.getCode();
        }
        return null;
    }
}
