package com.singularity.pojo.enumeration;

import lombok.Getter;

@Getter
public enum SubjectiveEvaluationEnum {

    COMMERCIAL_RIDE_EVALUATION(1,"商用车行驶性能主观评价"),
    PASSENGER_RIDE_EVALUATION(2,"乘用车行驶性能主观评价"),
    PASSENGER_COMMODITY_EVALUATION(3,"乘用车商品性主观评价"),
    TRUCK_COMMODITY_EVALUATION(4,"货车商品性主观评价"),
    BUS_COMMODITY_EVALUATION(5,"客车商品性主观评价"),
    NVH_EVALUATION(6,"NVH性能主观评价");

    private final Integer code;
    private final String name;

    SubjectiveEvaluationEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }
    public static String getNameByCode(Integer code){
        for (SubjectiveEvaluationEnum value : SubjectiveEvaluationEnum.values()) {
            if (code != null && code.equals(value.getCode()))
                return value.getName();
        }
        return null;
    }

    public static Integer getCodeByName(String name){
        for (SubjectiveEvaluationEnum value : SubjectiveEvaluationEnum.values()) {
            if (name != null && name.equals(value.getName()))
                return value.getCode();
        }
        return null;
    }


}
