package com.singularity.pojo.excel;

import lombok.Data;

/**
 * @author 平
 * @description 索引范围
 */
@Data
public class IndexRange {

    private Integer StartRow;

    private Integer StartCol;

    private Integer EndRow;

    private Integer EndCol;

    public IndexRange(String indexRange) {
        String[] split = indexRange.split(":");
        String start = split[0];
        String End = split[split.length - 1];
        String[] startArea = start.split("(?<=\\D)(?=\\d)|(?<=\\d)(?=\\D)");
        String[] endArea = End.split("(?<=\\D)(?=\\d)|(?<=\\d)(?=\\D)");
        StartRow = Integer.parseInt(startArea[startArea.length - 1]);
        StartCol = excelToNum(startArea[0]);
        EndRow = Integer.parseInt(endArea[endArea.length - 1]);
        EndCol = excelToNum(endArea[0]);
    }

    /**
     * excel 字母转数字
     */
    public static int excelToNum(String col) {
        if (col == null)
            return -1;
        char[] chrs = col.toUpperCase().toCharArray(); // 转为大写字母组成的 char数组
        int length = chrs.length;
        int ret = -1;
        for (int i = 0; i < length; i++) {
            ret += (chrs[i] - 'A' + 1) * Math.pow(26, length - i - 1); // 当做26进制来算 AAA=111 26^2+26^1+26^0
        }
        return ret + 1;
    }


}
