package com.singularity.pojo.param.department.statistics;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @author 平
 * @description 添加统计查询参数
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class StaQueryAddParam {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 检测工作人员id
     */
    private Long userId;

    /**
     * sku_id
     */
    private Long skuId;

    /**
     * spu_id
     */
    private Long spuId;

    /**
     * 店铺id
     */
    private Long shopInfoId;

    /**
     * 报告名称
     */
    private String name;

    /**
     * 报告描述
     */
    private String describe;

    /**
     * 检测类型 0:医检，1:快检，2:毛发实验室检测，3:污水实验室检测
     */
    private Integer detectionType;

    /**
     * 样品描述
     */
    private String sampleDescription;

    /**
     * 结果类型
     */
    private List<String> resultType = new ArrayList<>();

}
