package com.singularity.pojo.param.kc;

import com.singularity.util.page.RequestDTOWithPage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(description = "查询车辆数据")
public class CarDataParam extends RequestDTOWithPage {
    /**
     * id
     */
    @ApiModelProperty(value = "汽车id", dataType = "Long")
    private Long id;

    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌", dataType = "String")
    private String brand;

    /**
     * 车型
     */
    @ApiModelProperty(value = "车型", dataType = "String")
    private String type;

    /**
     * 级别
     */
    @ApiModelProperty(value = "级别", dataType = "Integer")
    private Integer vehicleLevel;

    /**
     * 类别
     */
    @ApiModelProperty(value = "类别(0:轿车,1:SUV,2:MPV,3:跑车,4:皮卡,5:面包车,6:越野车7:载客汽车,8:载货汽车,9:牵引汽车,10:专用汽车,11自卸汽车)")
    private Integer category;


    /**
     * 分类
     */
    @ApiModelProperty(value = "分类", dataType = "Integer")
    private Integer classification;

    /**
     * 轴距下限
     */
    @ApiModelProperty(value = "轴距下限", dataType = "Long")
    private Long lowWheelbase;

    /**
     * 轴距上限
     */
    @ApiModelProperty(value = "轴距上限", dataType = "Long")
    private Long highWheelbase;


    /**
     * 前轮距下限
     */
    @ApiModelProperty(value = "前轮距下限", dataType = "Long")
    private Long lowFrontGauge;

    /**
     * 前轮距上限
     */
    @ApiModelProperty(value = "前轮距上限", dataType = "Long")
    private Long highFrontGauge;

    /**
     * 后轮距下限
     */
    @ApiModelProperty(value = "后轮距下限", dataType = "Long")
    private Long lowBackGauge;

    /**
     * 后轮距上限
     */
    @ApiModelProperty(value = "后轮距上限", dataType = "Long")
    private Long highBackGauge;

    /**
     * 转向形式
     */
    @ApiModelProperty(value = "转向形式", dataType = "Integer")
    private Integer steeringSystem;

    /**
     * 前悬架形式
     */
    @ApiModelProperty(value = "前悬架形式", dataType = "Integer")
    private Integer frontSuspensionForm;

    /**
     * 后悬架形式
     */
    @ApiModelProperty(value = "后悬架形式", dataType = "Integer")
    private Integer backSuspensionForm;

    @ApiModelProperty(value = "业务类型")
    private Integer businessType;

    @ApiModelProperty(value = "0-未上传，1-已上传")
    private Integer isUpload;

    @ApiModelProperty(value = "VIN类似于车辆身份证", dataType = "String")
    private String VIN;

    @ApiModelProperty(value = "KC状态（KC数据文件上传状态（0：未上传，1：上传中，2：已上传））")
    private Integer kcStat;

    @ApiModelProperty(value = "NVH状态（nvh数据文件上传状态（0：未上传，1：上传中，2：已上传））")
    private Integer nvhStat;

    @ApiModelProperty(value = "商用车行驶性能主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer commercialUploadStat;

    @ApiModelProperty(value = "乘用车行驶性能主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer passengerUploadStat;

    @ApiModelProperty(value = "乘用车商品性主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer commodityUploadStat;

    @ApiModelProperty(value = "客车商品性主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer busUploadStat;

    @ApiModelProperty(value = "货车商品性主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer truckUploadStat;

    @ApiModelProperty(value = "NVH性能主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer nvhSubjectiveStat;

    // 行驶性能状态
    @ApiModelProperty(value = "行驶性能轮胎上传状态上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer tireUploadStat;

    @ApiModelProperty(value = "行驶性能减震器上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer damperUploadStat;

    @ApiModelProperty(value = "行驶性能衬套上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer bushingUploadStat;

    @ApiModelProperty(value = "行驶性能质心及转动惯量上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer inertiaUploadStat;

    @ApiModelProperty(value = "行驶性能平顺性上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer rideUploadStat;

    @ApiModelProperty(value = "行驶性能滑行上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer coastUploadStat;

    @ApiModelProperty(value = "行驶性能操纵稳定性上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer handingUploadStat;

    @ApiModelProperty(value = "行驶性能转向上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer steeringUploadStat;

    @ApiModelProperty(value = "行驶性能制动性上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer brakingUploadStat;

    // NVH查询专用条件
    @ApiModelProperty(value = "目录名称")
    private String menuName;

    @ApiModelProperty(value = "前制动形式", dataType = "Integer")
    private Integer frontRetardation;

    @ApiModelProperty(value = "后制动形式", dataType = "Integer")
    private Integer rearRetardation;

}
