package com.singularity.pojo.param.nvh;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @author 平
 * @description NVH绘制图参数
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DrawNVHChartParam {

    @NotNull(message = "文件名称不能为空")
    @ApiModelProperty(value = "文件名称",dataType = "String",required = true)
    private String fileName;

    @NotNull(message = "测试数据文件名称不能为空")
    @ApiModelProperty(value = "minio存储名称",dataType = "String",required = true)
    private String objName;

    @NotNull(message = "读取方式码不能为空")
    @ApiModelProperty(value = "读取方式码",dataType = "String",required = true)
    private String typeCode;

//    @ApiModelProperty(value = "颜色",dataType = "String")
//    private String color;
//
//    @ApiModelProperty(value = "x轴精度",dataType = "Double")
//    private Double accuracyX;
//
//    @ApiModelProperty(value = "y轴间精度",dataType = "Double")
//    private Double accuracyY;
//
//    @ApiModelProperty(value = "z轴间精度",dataType = "Double")
//    private Double accuracyZ;

    @ApiModelProperty(value = "x轴最小区间",dataType = "Double")
    private Double minX;

    @ApiModelProperty(value = "x轴最大区间",dataType = "Double")
    private Double MaxX;

    @ApiModelProperty(value = "y轴最小区间",dataType = "Double")
    private Double minY;

    @ApiModelProperty(value = "y轴最大区间",dataType = "Double")
    private Double maxY;

    @ApiModelProperty(value = "z轴最小区间",dataType = "Double")
    private Double minZ;

    @ApiModelProperty(value = "z轴最大区间",dataType = "Double")
    private Double maxZ;
}
