package com.singularity.pojo.param.nvh;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

@Data
public class NVHUploadFileParam {

    @ApiModelProperty(value = "文件对应表id",dataType = "Long",required = true)
    private Long ownerId;

    @ApiModelProperty(value = "文件列表",dataType = "MultipartFile",required = true)
    private MultipartFile file;

    @ApiModelProperty(value = "文件类型(0:数据文件，1：主观评价文件)",required = true)
    private Integer fileType;

    @NotNull(message = "业务类型id不能为空")
    @ApiModelProperty(value = "业务类型id(2:NVH试验数据文件，20：主客观目标表燃油版 21：主客观目标表新能源版)",required = true)
    private Integer businessId;

    @ApiModelProperty(value = "绘图类型 readLineFile readStatFile read3DFile")
    private String drawType;

}
