package com.singularity.pojo.param.subjectiveEvaluation;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SubjectiveEvaluationUploadFileParam {

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(value = "车辆id",dataType = "Long",required = true)
    private Long carId;

    @NotNull(message = "主观评价类别不能为空")
    @ApiModelProperty(value = "主观评价类别：0：商用车行驶性能主观评价，1：乘用车行驶性能主观评价，2：乘用车商品性主观评价，3：货车商品性主观评价" +
            "4：客车商品性主观评价",required = true)
    private Integer reviewType;

    @NotNull(message = "数据文件不能为空")
    @ApiModelProperty(value = "数据文件",dataType = "MultipartFile",required = true)
    private MultipartFile file;

}
