package com.singularity.pojo.vo.car;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
@Data
public class CarBasicParamVO {
    private Long id;
    @ApiModelProperty(value = "车辆id")
    private Long carId;

    @ApiModelProperty(value = "车型")
    private String carModel;

    @ApiModelProperty(value = "品牌")
    private String brand;

    @ApiModelProperty(value = "款式")
    private String shape;

    @ApiModelProperty(value = "年型")
    private Integer yearType;

    @ApiModelProperty(value = "分类 0：物理车，1：虚拟样车")
    private Integer classification;

    @ApiModelProperty(value = "分类")
    private String classificationStr;

    @ApiModelProperty(value = "级别 0：A级，1：B级，2：C级，3：D级")
    private Integer level;

    @ApiModelProperty(value = "级别")
    private String levelStr;

    @ApiModelProperty(value = "类别(0:轿车,1:SUV,2:MPV,3:跑车,4:皮卡,5:面包车,6:越野车7:载客汽车,8:载货汽车,9:牵引汽车,10:专用汽车,11自卸汽车)")
    private Integer category;

    @ApiModelProperty(value = "类别")
    private String categoryStr;

    @ApiModelProperty(value = "生产地(0:中国，1：日系，2：德系，3：美系，4：韩系，5：法系，6其它)")
    private Integer productionPlace;

    @ApiModelProperty(value = "生产地")
    private String productionPlaceStr;

    @ApiModelProperty(value = "里程(km)")
    private Integer mileage;

    @ApiModelProperty(value = "发动机布置方式")
    private String engineLayout;

    @ApiModelProperty(value = "发动机型号")
    private String engineModel;

    @ApiModelProperty(value = "排量(L)")
    private String displacement;

    @ApiModelProperty(value = "VIN")
    private String VIN;

    @ApiModelProperty(value = "额定功率(kW)")
    private Integer ratedPower;

    @ApiModelProperty(value = "额定功率转速(r/min)")
    private Integer ratedPowerSpeed;

    @ApiModelProperty(value = "变速器型式")
    private String transmissionType;

    @ApiModelProperty(value = "变速器型号")
    private String transmissionModel;

    @ApiModelProperty(value = "最高设计车速(km/h)")
    private Integer maximumSpeed;

    @ApiModelProperty(value = "驱动桥主减速比")
    private String finalDriveRatio;

    @ApiModelProperty(value = "驱动形式及位置")
    private String driveTypeLocation;

    @ApiModelProperty(value = "变速器前进档个数")
    private Integer speedsNums;

    @ApiModelProperty(value = "能源(0：汽油，1：柴油，2：油电混合，3：纯电动，4：插电式混动，5：增程式，6：氢燃料，7：燃料电池，8：天然气，9：甲醇，10：汽油+48V轻混系统，11：汽油+24V轻混系统)")
    private Integer energy;
    @ApiModelProperty(value = "能源")
    private String energyStr;

    @ApiModelProperty(value = "变速器各档速比")
    private String gearRatio;

    @ApiModelProperty(value = "厂商")
    private String manufacturer;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "上市时间")
    private LocalDate listingDate;

    @ApiModelProperty(value = "官方0-100km/h加速(s)")
    private Double acceleration;

    @ApiModelProperty(value = "整备质量(kg)")
    private String equipQuality;

    @ApiModelProperty(value = "最大满载质量(kg)")
    private String maxEquipQuality;
}
