package com.singularity.pojo.vo.car;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CarBodyParamVO {
    private Long id;
    @ApiModelProperty(value = "车辆id")
    private Long carId;

    @ApiModelProperty(value = "车宽(mm)")
    private Integer carWidth;

    @ApiModelProperty(value = "前轮距(mm)")
    private Integer frontTrack;

    @ApiModelProperty(value = "后轮距(mm)")
    private Integer rearTrack;

    @ApiModelProperty(value = "车高(mm)")
    private Integer carHeight;

    @ApiModelProperty(value = "车长(mm)")
    private Integer carLength;

    @ApiModelProperty(value = "轴距(mm)")
    private Integer wheelbase;

    @ApiModelProperty(value = "最小离地间隙(mm)")
    private Integer minGroundClearance;

    @ApiModelProperty(value = "车身型式")
    private String bodyType;

    @ApiModelProperty(value = "设计成员数(人)")
    private Integer totalNumbers;

    @ApiModelProperty(value = "接近角(°)")
    private Double approachAngle;

    @ApiModelProperty(value = "离去角(°)")
    private Double departureAngle;

    @ApiModelProperty(value = "车门开启方式")
    private String doorOpenType;

    @ApiModelProperty(value = "车门数(个)")
    private Integer doorNumber;

    @ApiModelProperty(value = "座位数(个)")
    private Integer seatNumber;

    @ApiModelProperty(value = "油箱容积(L)")
    private Double fuelSize;

    @ApiModelProperty(value = "后备厢容积(L)")
    private Double trunkSize;

    @ApiModelProperty(value = "风阻系数(Cd)")
    private String dragCoefficient;
}
