package com.singularity.pojo.vo.car;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CarChassisStructureVO {
    private Long id;
    @ApiModelProperty(value = "车辆id")
    private Long carId;

    @ApiModelProperty(value = "底盘型号")
    private String chassisModel;

    @ApiModelProperty(value = "转向形式(0:液压助力转向 1：电动助力转向)")
    private Integer steeringType;

    @ApiModelProperty(value = "转向形式")
    private String steeringTypeStr;

    @ApiModelProperty(value = "方向盘直径(m)")
    private Double steeringWheelDiameter;

    @ApiModelProperty(value = "前悬挂形式 1 非独立悬架,2 麦弗逊式独立悬架,3 双横臂/双叉臂、多连杆式独立悬架,4 半独立悬架")
    private Integer frontHangingForm;

    @ApiModelProperty(value = "前悬挂形式 1 非独立悬架,2 麦弗逊式独立悬架,3 双横臂/双叉臂、多连杆式独立悬架,4 半独立悬架")
    private String frontHangingFormStr;

    @ApiModelProperty(value = "前弹簧刚度(N/mm)")
    private Double frontSpringStiffness;

    @ApiModelProperty(value = "前弹簧杠杆比")
    private String frontSpringLeverageRatio;

    @ApiModelProperty(value = "前横向稳定杆直径(mm)")
    private Double frontStabilizerDiameter;

    @ApiModelProperty(value = "前缓冲块长度(mm)")
    private Double frontBufferBlockLen;

    @ApiModelProperty(value = "前缓冲块密度(g/cm^3)")
    private Double frontBufferDensity;

    @ApiModelProperty(value = "后悬挂形式 1 非独立悬挂系统,2 独立悬挂系统")
    private Integer rearHangingForm;

    @ApiModelProperty(value = "后悬挂形式 1 非独立悬挂系统,2 独立悬挂系统")
    private String rearHangingFormStr;

    @ApiModelProperty(value = "后弹簧刚度(N/mm)")
    private Double rearSpringStiffness;

    @ApiModelProperty(value = "后弹簧杠杆比")
    private String rearSpringLeverageRatio;

    @ApiModelProperty(value = "后横向稳定杆直径(mm)")
    private Double rearStabilizerDiameter;

    @ApiModelProperty(value = "后缓冲块长度(mm)")
    private Double rearBufferBlockLength;

    @ApiModelProperty(value = "后缓冲块密度(g/cm^3)")
    private Double rearBufferDensity;

    @ApiModelProperty(value = "前轮胎品牌")
    private String frontTireBrand;

    @ApiModelProperty(value = "前轮胎规格")
    private String frontTireSpecifications;

    @ApiModelProperty(value = "前轮胎胎压(bar)")
    private Double frontTirePressure;

    @ApiModelProperty(value = "整备前轴荷(kg)")
    private Double frontAxleLoad;

    @ApiModelProperty(value = "半载前轴荷(kg)")
    private Double halfFrontAxleLoad;

    @ApiModelProperty(value = "满载前轴荷(kg)")
    private Double fullyFrontAxleLoad;

    @ApiModelProperty(value = "前簧下质量(kg)")
    private Double frontSpringMass;

    @ApiModelProperty(value = "后轮胎品牌")
    private String rearTireBrand;

    @ApiModelProperty(value = "后轮胎规格")
    private String rearTireSpecifications;

    @ApiModelProperty(value = "后轮胎胎压(bar)")
    private Double rearTirePressure;

    @ApiModelProperty(value = "整备后轴荷(kg)")
    private Double rearAxleLoad;

    @ApiModelProperty(value = "半载后轴荷(kg)")
    private Double halfRearAxleLoad;

    @ApiModelProperty(value = "满载后轴荷(kg)")
    private Double fullyRearAxleLoad;

    @ApiModelProperty(value = "后簧下质量(kg)")
    private Double rearSpringMass;

    @ApiModelProperty(value = "前制动形式（0：盘式制动器，1：鼓式制动器）", dataType = "Integer")
    private Integer frontRetardation;

    @ApiModelProperty(value = "后制动形式（0：盘式制动器，1：鼓式制动器）", dataType = "Integer")
    private Integer rearRetardation;

    @ApiModelProperty(value = "前制动形式", dataType = "Integer")
    private String frontRetardationStr;

    @ApiModelProperty(value = "后制动形式", dataType = "Integer")
    private String rearRetardationStr;

    @ApiModelProperty(value = "驱动方式")
    private String drivingMode;

    @ApiModelProperty(value = "车体结构")
    private String bodyStructure;

    @ApiModelProperty(value = "驻车制动类型")
    private String  parkingBraking;

    @ApiModelProperty(value = "备胎规格")
    private String spareTireSpecifications;


    @ApiModelProperty(value = "发送机类别（0：发动机，1：电动机）")
    @TableField("engine")
    private Integer engine;

    @ApiModelProperty(value = "发动机型号")
    @TableField("engine_model")
    private String engineModel;

    @ApiModelProperty(value = "排量(mL)")
    @TableField("displacement")
    private String displacement;

    @ApiModelProperty(value = "进气形式")
    @TableField("air_intake_form")
    private String airIntakeForm;

    @ApiModelProperty(value = "发动机布局")
    @TableField("engine_layout")
    private String engineLayout;

    @ApiModelProperty(value = "气缸排列形式")
    @TableField("engine_arrangement")
    private String engineArrangement;

    @ApiModelProperty(value = "气缸数(个)")
    @TableField("cylinders_number")
    private Integer cylindersNumber;

    @ApiModelProperty(value = "最大马力(Ps)")
    @TableField("maximum_horsepower")
    private Integer maximumHorsepower;

    @ApiModelProperty(value = "最大功率(kW)")
    @TableField("maximum_power")
    private Integer maximumPower;

    @ApiModelProperty(value = "最大功率转速(rpm)")
    @TableField("maximum_power_speed")
    private String maximumPowerSpeed;

    @ApiModelProperty(value = "最大扭矩(N·m)")
    @TableField("acrot_orque")
    private Integer acrotOrque;

    @ApiModelProperty(value = "最大扭矩转速(rpm)")
    @TableField("maximum_torque_speed")
    private String maximumTorqueSpeed;

    @ApiModelProperty(value = "最大净功率(kW)")
    @TableField("maximum_net_power")
    private Integer maximumNetPower;

    @ApiModelProperty(value = "能源类型")
    @TableField("energy_type")
    private String energyType;

    @ApiModelProperty(value = "燃油标号")
    @TableField("fuel_grade")
    private String fuelGrade;

    @ApiModelProperty(value = "供油方式")
    @TableField("fuel_delivery_method")
    private String fuelDeliveryMethod;

    @ApiModelProperty(value = "环保标准")
    @TableField("environmental_standards")
    private String environmentalStandards;

    @ApiModelProperty(value = "前电动机型号")
    @TableField("front_electric_model")
    private String frontElectricModel;

    @ApiModelProperty(value = "前电机类型")
    @TableField("front_electric_type")
    private String frontElectricType;

    @ApiModelProperty(value = "后电动机型号")
    @TableField("rear_electric_model")
    private String rearElectricModel;

    @ApiModelProperty(value = "后电机类型")
    @TableField("rear_electric_type")
    private String rearElectricType;

    @ApiModelProperty(value = "电动机总功率(kW)")
    @TableField("electric_total_power")
    private Integer electricTotalPower;

    @ApiModelProperty(value = "电动机总扭矩(N·m)")
    @TableField("electric_total_torque")
    private Integer electricTotalTorque;

    @ApiModelProperty(value = "前电动机最大功率(kW)")
    @TableField("front_electric_max_power")
    private Integer frontElectricMaxPower;

    @ApiModelProperty(value = "前电动机最大扭矩(N·m)")
    @TableField("front_electric_max_torque")
    private Integer frontElectricMaxTorque;

    @ApiModelProperty(value = "后电动机最大功率(kW)")
    @TableField("rear_electric_max_power")
    private Integer rearElectricMaxPower;

    @ApiModelProperty(value = "后电动机最大扭矩(N·m)")
    @TableField("rear_electric_max_torque")
    private Integer rearElectricMaxTorque;

    @ApiModelProperty(value = "电机布局")
    @TableField("motor_layout")
    private String motorLayout;

    @ApiModelProperty(value = "简称")
    @TableField("abbreviation")
    private String abbreviation;

    @ApiModelProperty(value = "挡位个数")
    @TableField("gears_number")
    private String gearsNumber;

    @ApiModelProperty(value = "变速箱类型")
    @TableField("transmission_type")
    private String transmissionType;
}
