package com.singularity.pojo.vo.department;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel(description = "树状部门主列表分页查询出参")
public class QueryDepartmentTreeListVO {

    @ApiModelProperty(value = "部门主键id")
    private Integer id;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "状态（0禁用，1启用）")
    private Integer state;

    @ApiModelProperty(value = "父部门id")
    private Integer parentId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "子部门列表")
    private List<QueryDepartmentTreeListVO> children;

}
