package com.singularity.pojo.vo.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(description = "对比K&C关键指标表头")
public class CompareKCTableHeadVO {

    @ApiModelProperty(value = "工况简写")
    private String conditionCode;

    @ApiModelProperty(value = "指标集合")
    private List<CompareKCTableHeadSon1> CompareKCTableHeadSon1List;

    @Data
    public static class CompareKCTableHeadSon1{

        @ApiModelProperty(value = "指标名称")
        private String indicatorName;

        @ApiModelProperty(value = "指标单位")
        private String unit;

        @ApiModelProperty(value = "指标集合")
        private List<CompareKCTableHeadSon2> CompareKCTableHeadSon2List;


    }

    @Data
    public static class CompareKCTableHeadSon2{

        @ApiModelProperty(value = "右前")
        private String rightFront = "rightFront";

        @ApiModelProperty(value = "左前")
        private String leftFront = "leftFront";

        @ApiModelProperty(value = "front")
        private String front1 = "平均值";

        @ApiModelProperty(value = "右后")
        private String rightRear = "rightRear";

        @ApiModelProperty(value = "左后")
        private String leftRear = "leftRear";

        @ApiModelProperty(value = "rear")
        private String rear2 = "平均值";


    }


}
