package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.barking.CompareBarkingDataDTO;
import com.singularity.pojo.dto.barking.DeleteBarkingDataFileDTO;
import com.singularity.pojo.dto.barking.QueryBarkingDataDTO;
import com.singularity.pojo.dto.barking.UploadBarkingDateFileDTO;
import com.singularity.common.entity.BarkingChartData;
import com.singularity.common.entity.ChartDataModel;
import com.singularity.pojo.vo.barking.CompareBarkingDataVO;

public interface BarkingChartDataService extends IService<BarkingChartData> {

    /**
     * 上传衬套试验数据文件
     */
    void uploadBarkingFile(UploadBarkingDateFileDTO dto);

    /**
     * 批量删除衬套试验数据文件
     */
    void deleteFileList(DeleteBarkingDataFileDTO dto);

    /**
     * 查看衬套试验数据详情
     */
    ChartDataModel queryBarkingData(QueryBarkingDataDTO dto);

    /**
     * 对比衬套试验数据结果
     */
    CompareBarkingDataVO compareBarkingData(CompareBarkingDataDTO dto);
}
