package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.condition.*;
import com.singularity.pojo.dto.kc.QueryKCAttachmentListDTO;
import com.singularity.pojo.entity.ConditionInfo;
import com.singularity.pojo.vo.condition.ConditionInfoListQueryVO;
import com.singularity.pojo.vo.condition.ConditionNameVO;
import com.singularity.pojo.vo.kc.QueryKCAttachmentListVO;
import com.singularity.pojo.vo.kc.QueryKCConditionInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface ConditionInfoService extends IService<ConditionInfo> {

    /**
     * 工况列表分页查询
     */
    List<ConditionInfoListQueryVO> queryConditionInfoList(ConditionInfoListQueryDTO dto);

    /**
     * 增加工况信息
     */
    void ddConditionInfo(ConditionInfoAddDTO dto);

    /**
     * 删除工况信息
     */
    void deleteConditionInfo(ConditionInfoDeleteDTO dto);

    /**
     * 修改工况信息
     */
    void updateConditionInfo(ConditionInfoUpdateDTO dto);

    List<ConditionNameVO> selectConditionByType(ConditionTypeDTO conditionTypeDTO);

    Integer selectIdByConditionName(String s);

    /**
     * 查询K&C工况测点信息
     */
    List<QueryKCConditionInfoVO> queryKCConditionInfo();

    /**
     * 查询附件试验场景信息
     */
    QueryKCAttachmentListVO queryKCDataFileList(@Param("dto") QueryKCAttachmentListDTO dto);
}
