package com.singularity.service;

import com.singularity.pojo.dto.permission.MenuDeleteDTO;
import com.singularity.pojo.dto.permission.MenuSetDTO;
import com.singularity.pojo.dto.permission.PermissionInfoDTO;
import com.singularity.pojo.dto.permission.queryMenuTrueListDTO;
import com.singularity.pojo.dto.role.RoleInfoDTO;
import com.singularity.pojo.entity.Permission;
import com.singularity.pojo.vo.permission.QueryMenuDropListVO;
import com.singularity.pojo.vo.permission.QueryMenuTrueListVO;

import java.util.List;

/**
 * @author 天
 *
 * @description: 权限接口
 */
public interface PermissionService{

    /**
     * 根据角色获取权限信息
     * @param roles
     * @return
     */
    List<PermissionInfoDTO> getPermissionInfo(List<RoleInfoDTO> roles);

    /**
     * 获取权限列表
     * @return
     */
    List<PermissionInfoDTO> getAllPermissionList(Integer status);

    /**
     * 根据角色获取权限列表
     * @param roleId
     * @return
     */
    List<PermissionInfoDTO> getPermissionList(Long roleId);

    /**
     * 新增
     * @param permission
     * @return
     */
    Boolean insert(Permission permission);

    /**
     * 修改
     * @param permission
     * @return
     */
    Boolean update(Permission permission);

    List<QueryMenuTrueListVO> queryMenuTrueList(queryMenuTrueListDTO queryMenuTrueListDTO);

    void addMenu(MenuSetDTO menuSetDTO);

    void setMenu(MenuSetDTO menuSetDTO);

    void deleteMenu(MenuDeleteDTO menuSetDTO);

    List<QueryMenuDropListVO> queryMenuDropList();
}
