package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.slide.DeleteSlideDataFileDTO;
import com.singularity.pojo.dto.slide.QuerySlideTestResultListDTO;
import com.singularity.pojo.dto.slide.UpdateSlideTestResultDTO;
import com.singularity.pojo.dto.slide.UploadSlideDataFileDTO;
import com.singularity.pojo.entity.SlideTestResult;
import com.singularity.pojo.vo.slide.QuerySlideTestResultListVO;

import java.util.List;

public interface SlideTestResultService extends IService<SlideTestResult> {

    /**
     * 上传滑行试验数据文件
     */
    void uploadSlideDataFile(UploadSlideDataFileDTO dto);

    /**
     * 删除滑行数据文件
     */
    void deleteSlideDataFile(DeleteSlideDataFileDTO dto);

    /**
     * 查询滑行道路载荷试验结果列表
     */
    List<QuerySlideTestResultListVO> querySlideTestResultList(QuerySlideTestResultListDTO dto);

    /**
     * 编辑滑行道路载荷试验结果列表
     */
    void updateSlideTestResult(UpdateSlideTestResultDTO dto);
}
