package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.attachment.UploadAttachmentDTO;
import com.singularity.pojo.dto.subjectiveEvaluation.DeleteEvaluationDataDTO;
import com.singularity.pojo.dto.subjectiveEvaluation.QueryEvaluatorNameListDTO;
import com.singularity.pojo.dto.subjectiveEvaluation.SubjectiveIdDTO;
import com.singularity.pojo.entity.SubjectiveEvaluation;
import com.singularity.pojo.param.subjectiveEvaluation.SubjectiveEvaluationUploadFileParam;
import com.singularity.pojo.vo.subjectiveEvaluation.GetSubjectiveEvaluationListVO;
import com.singularity.pojo.vo.subjectiveEvaluation.QueryEvaluatorNameListVO;
import com.singularity.pojo.vo.subjectiveEvaluation.SubjectiveDataVO;

import java.util.List;
import java.util.Map;

public interface SubjectiveEvaluationService extends IService<SubjectiveEvaluation> {

    /**
     * 上传主观评价评价结果数据文件
     */
    void uploadFile(SubjectiveEvaluationUploadFileParam subjectiveEvaluationUploadFileParam);

    void save(List<SubjectiveEvaluation> subjectiveEvaluationList);

    List<GetSubjectiveEvaluationListVO> getSubjectiveEvaluationList(com.singularity.pojo.param.subjectiveEvaluation.SubjectiveEvaluationParam subjectiveEvaluationParam);

    int updateSubjectiveEvaluation(com.singularity.pojo.param.subjectiveEvaluation.UpdateSubjectiveEvaluationParam updateSubjectiveEvaluationParam);

    void getSubjectiveEvaluationReports(com.singularity.pojo.param.subjectiveEvaluation.SubjectiveEvaluationReportsParam subjectiveEvaluationReportsParam);

    SubjectiveDataVO getSubjectiveDataListToCompare(SubjectiveIdDTO subjectiveIdDTO);

    Map<Integer,List<GetSubjectiveEvaluationListVO>> getSubjectiveEvaluationLists(com.singularity.pojo.param.subjectiveEvaluation.SubjectiveEvaluationsParam subjectiveEvaluationsParam);

    /**
     * 删除主观评价评价数据
     */
    void deleteEvaluationData(DeleteEvaluationDataDTO dto);

    /**
     * 查询评价人列表
     */
    QueryEvaluatorNameListVO queryEvaluatorNameList(QueryEvaluatorNameListDTO dto);

    void uploadNVHSubjectiveFile(UploadAttachmentDTO dto);
}
