package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.vehicle.CompareSineFitCharacteristicDTO;
import com.singularity.pojo.dto.vehicle.CompareVehicleInfoDTO;
import com.singularity.pojo.dto.vehicle.VehicleInformationSearchDTO;
import com.singularity.pojo.entity.VehicleInformation;
import com.singularity.pojo.vo.vehicle.CompareSineFitCharacteristicVO;
import com.singularity.pojo.vo.vehicle.CompareVehicleInfoVO;

import java.util.List;

/**
 * <p>
 * 车辆信息 服务类
 * </p>
 *
 * @author windsky
 * @since 2024-03-29
 */
public interface VehicleInformationService extends IService<VehicleInformation> {

    List<VehicleInformation> getAllData(VehicleInformationSearchDTO vehicleInformationSearchDTO);

    void setVehicleInformationData(VehicleInformation vehicleInformationSetDTO);

    /**
     * 对比质心及转动惯量-正弦拟合特性
     */
    CompareSineFitCharacteristicVO compareVehicleEvaluationInfo(CompareSineFitCharacteristicDTO dto);

    /**
     * 对比质心及转动惯量-车辆参数
     */
    CompareVehicleInfoVO compareVehicleInfo(CompareVehicleInfoDTO compareVehicleInfoDTO);
}
