package com.singularity.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.singularity.dao.FileBusinessMapper;
import com.singularity.pojo.constant.AttachmentConstant;
import com.singularity.pojo.dto.attachment.QueryCompareFileListDTO;
import com.singularity.pojo.dto.business.QueryBusinessTypeListDTO;
import com.singularity.pojo.entity.Attachment;
import com.singularity.pojo.entity.FileBusiness;
import com.singularity.pojo.vo.attachment.QueryCompareFileListVO;
import com.singularity.service.AttachmentService;
import com.singularity.service.FileBusinessService;
import com.singularity.pojo.vo.business.QueryBusinessTypeListVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Service
public class FileBusinessServiceImpl extends ServiceImpl<FileBusinessMapper, FileBusiness> implements FileBusinessService {

    @Resource
    private AttachmentService attachmentService;
    @Override
    public List<QueryBusinessTypeListVO> queryBusinessTypeList(QueryBusinessTypeListDTO dto) {
        LambdaQueryWrapper<FileBusiness> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.select(FileBusiness::getId,FileBusiness::getBusinessName)
                .eq(FileBusiness::getBusinessType,dto.getBusinessType());
        List<FileBusiness> fileBusinessList = this.list(queryWrapper);
        return BeanUtil.copyToList(fileBusinessList,QueryBusinessTypeListVO.class);
    }

    @Override
    public QueryCompareFileListVO queryCompareFileList(QueryCompareFileListDTO dto) {
        QueryCompareFileListVO queryCompareFileListVO = new QueryCompareFileListVO();
        LambdaQueryWrapper<Attachment> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.select(Attachment::getId,Attachment::getName,Attachment::getOwnerId)
                .eq(Attachment::getBusinessType,dto.getBusinessId())
                .in(Attachment::getOwnerId,dto.getCarIdList())
                .eq(Attachment::getOwnerType, AttachmentConstant.OWNER_TYPE_CAR);
        List<Attachment> attachmentList = attachmentService.list(queryWrapper);
        queryCompareFileListVO.setMap(attachmentList.stream().collect(Collectors.groupingBy(Attachment::getOwnerId)));
        return queryCompareFileListVO;
    }
}
