package com.singularity.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.singularity.dao.SlideTestConditionMapper;
import com.singularity.pojo.dto.slide.QuerySlideTestConditionListDTO;
import com.singularity.pojo.dto.slide.UpdateSlideTestConditionDTO;
import com.singularity.pojo.entity.SlideTestCondition;
import com.singularity.service.SlideTestConditionService;
import com.singularity.pojo.vo.slide.QuerySlideTestConditionListVO;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SlideTestConditionServiceImpl extends ServiceImpl<SlideTestConditionMapper, SlideTestCondition> implements SlideTestConditionService {

    /**
     * 查询滑行试验条件列表
     */
    @Override
    public List<QuerySlideTestConditionListVO> querySlideTestConditionList(QuerySlideTestConditionListDTO dto) {
        LambdaQueryWrapper<SlideTestCondition> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(SlideTestCondition::getAttachId,dto.getAttachId());
        List<SlideTestCondition> slideTestConditionList = this.list(queryWrapper);
        return BeanUtil.copyToList(slideTestConditionList,QuerySlideTestConditionListVO.class);
    }

    /**
     * 编辑滑行试验条件
     */
    @Override
    public void updateSlideTestCondition(UpdateSlideTestConditionDTO dto) {
        SlideTestCondition slideTestCondition = new SlideTestCondition();
        BeanUtil.copyProperties(dto,slideTestCondition);
        this.updateById(slideTestCondition);
    }
}
