package com.singularity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.singularity.dao.TableFieldMapper;
import com.singularity.pojo.dto.fieldManagement.QueryFormFieldDTO;
import com.singularity.pojo.entity.SysTableField;
import com.singularity.service.TableFieldService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TableFieldServiceImpl extends ServiceImpl<TableFieldMapper, SysTableField> implements TableFieldService {

    @Override
    public List<SysTableField> queryTableFieldList(QueryFormFieldDTO queryFormFieldDTO) {
        LambdaQueryWrapper<SysTableField> qw = new LambdaQueryWrapper<>();
        qw.like(StringUtils.isNotEmpty(queryFormFieldDTO.getFieldName()), SysTableField::getFieldName,queryFormFieldDTO.getFieldName());
        qw.eq(queryFormFieldDTO.getStat() != null, SysTableField::getStat,queryFormFieldDTO.getStat());
        return this.list(qw);
    }
}
